/*
 *******************************************************************************
 * Copyright (C) 2003-2004, International Business Machines Corporation and    *
 * others. All Rights Reserved.                                                *
 *******************************************************************************
*/
package com.ibm.icu.dev.test.stringprep;

import com.ibm.icu.impl.ICUListResourceBundle;

public class IDNA_rules extends ICUListResourceBundle {

    public IDNA_rules  () {
          super.contents = data;
    }
    static final Object[][] data = new Object[][] { 
                {
                    "LabelSeparatorSet",
                    "[ .\u3002\uFF0E\uFF61 ]",
                },
                {
                    "CaseMap",
                    "A > a;"+
                    "B > b;"+
                    "C > c;"+
                    "D > d;"+
                    "E > e;"+
                    "F > f;"+
                    "G > g;"+
                    "H > h;"+
                    "I > i;"+
                    "J > j;"+
                    "K > k;"+
                    "L > l;"+
                    "M > m;"+
                    "N > n;"+
                    "O > o;"+
                    "P > p;"+
                    "Q > q;"+
                    "R > r;"+
                    "S > s;"+
                    "T > t;"+
                    "U > u;"+
                    "V > v;"+
                    "W > w;"+
                    "X > x;"+
                    "Y > y;"+
                    "Z > z;"+
                    "\\u00B5 > \\u03BC;"+
                    "\\u00C0 > \\u00E0;"+
                    "\\u00C1 > \\u00E1;"+
                    "\\u00C2 > \\u00E2;"+
                    "\\u00C3 > \\u00E3;"+
                    "\\u00C4 > \\u00E4;"+
                    "\\u00C5 > \\u00E5;"+
                    "\\u00C6 > \\u00E6;"+
                    "\\u00C7 > \\u00E7;"+
                    "\\u00C8 > \\u00E8;"+
                    "\\u00C9 > \\u00E9;"+
                    "\\u00CA > \\u00EA;"+
                    "\\u00CB > \\u00EB;"+
                    "\\u00CC > \\u00EC;"+
                    "\\u00CD > \\u00ED;"+
                    "\\u00CE > \\u00EE;"+
                    "\\u00CF > \\u00EF;"+
                    "\\u00D0 > \\u00F0;"+
                    "\\u00D1 > \\u00F1;"+
                    "\\u00D2 > \\u00F2;"+
                    "\\u00D3 > \\u00F3;"+
                    "\\u00D4 > \\u00F4;"+
                    "\\u00D5 > \\u00F5;"+
                    "\\u00D6 > \\u00F6;"+
                    "\\u00D8 > \\u00F8;"+
                    "\\u00D9 > \\u00F9;"+
                    "\\u00DA > \\u00FA;"+
                    "\\u00DB > \\u00FB;"+
                    "\\u00DC > \\u00FC;"+
                    "\\u00DD > \\u00FD;"+
                    "\\u00DE > \\u00FE;"+
                    "\\u00DF > ss;"+
                    "\\u0100 > \\u0101;"+
                    "\\u0102 > \\u0103;"+
                    "\\u0104 > \\u0105;"+
                    "\\u0106 > \\u0107;"+
                    "\\u0108 > \\u0109;"+
                    "\\u010A > \\u010B;"+
                    "\\u010C > \\u010D;"+
                    "\\u010E > \\u010F;"+
                    "\\u0110 > \\u0111;"+
                    "\\u0112 > \\u0113;"+
                    "\\u0114 > \\u0115;"+
                    "\\u0116 > \\u0117;"+
                    "\\u0118 > \\u0119;"+
                    "\\u011A > \\u011B;"+
                    "\\u011C > \\u011D;"+
                    "\\u011E > \\u011F;"+
                    "\\u0120 > \\u0121;"+
                    "\\u0122 > \\u0123;"+
                    "\\u0124 > \\u0125;"+
                    "\\u0126 > \\u0127;"+
                    "\\u0128 > \\u0129;"+
                    "\\u012A > \\u012B;"+
                    "\\u012C > \\u012D;"+
                    "\\u012E > \\u012F;"+
                    "\\u0130 > i\\u0307;"+
                    "\\u0132 > \\u0133;"+
                    "\\u0134 > \\u0135;"+
                    "\\u0136 > \\u0137;"+
                    "\\u0139 > \\u013A;"+
                    "\\u013B > \\u013C;"+
                    "\\u013D > \\u013E;"+
                    "\\u013F > \\u0140;"+
                    "\\u0141 > \\u0142;"+
                    "\\u0143 > \\u0144;"+
                    "\\u0145 > \\u0146;"+
                    "\\u0147 > \\u0148;"+
                    "\\u0149 > \\u02BCn;"+
                    "\\u014A > \\u014B;"+
                    "\\u014C > \\u014D;"+
                    "\\u014E > \\u014F;"+
                    "\\u0150 > \\u0151;"+
                    "\\u0152 > \\u0153;"+
                    "\\u0154 > \\u0155;"+
                    "\\u0156 > \\u0157;"+
                    "\\u0158 > \\u0159;"+
                    "\\u015A > \\u015B;"+
                    "\\u015C > \\u015D;"+
                    "\\u015E > \\u015F;"+
                    "\\u0160 > \\u0161;"+
                    "\\u0162 > \\u0163;"+
                    "\\u0164 > \\u0165;"+
                    "\\u0166 > \\u0167;"+
                    "\\u0168 > \\u0169;"+
                    "\\u016A > \\u016B;"+
                    "\\u016C > \\u016D;"+
                    "\\u016E > \\u016F;"+
                    "\\u0170 > \\u0171;"+
                    "\\u0172 > \\u0173;"+
                    "\\u0174 > \\u0175;"+
                    "\\u0176 > \\u0177;"+
                    "\\u0178 > \\u00FF;"+
                    "\\u0179 > \\u017A;"+
                    "\\u017B > \\u017C;"+
                    "\\u017D > \\u017E;"+
                    "\\u017F > s;"+
                    "\\u0181 > \\u0253;"+
                    "\\u0182 > \\u0183;"+
                    "\\u0184 > \\u0185;"+
                    "\\u0186 > \\u0254;"+
                    "\\u0187 > \\u0188;"+
                    "\\u0189 > \\u0256;"+
                    "\\u018A > \\u0257;"+
                    "\\u018B > \\u018C;"+
                    "\\u018E > \\u01DD;"+
                    "\\u018F > \\u0259;"+
                    "\\u0190 > \\u025B;"+
                    "\\u0191 > \\u0192;"+
                    "\\u0193 > \\u0260;"+
                    "\\u0194 > \\u0263;"+
                    "\\u0196 > \\u0269;"+
                    "\\u0197 > \\u0268;"+
                    "\\u0198 > \\u0199;"+
                    "\\u019C > \\u026F;"+
                    "\\u019D > \\u0272;"+
                    "\\u019F > \\u0275;"+
                    "\\u01A0 > \\u01A1;"+
                    "\\u01A2 > \\u01A3;"+
                    "\\u01A4 > \\u01A5;"+
                    "\\u01A6 > \\u0280;"+
                    "\\u01A7 > \\u01A8;"+
                    "\\u01A9 > \\u0283;"+
                    "\\u01AC > \\u01AD;"+
                    "\\u01AE > \\u0288;"+
                    "\\u01AF > \\u01B0;"+
                    "\\u01B1 > \\u028A;"+
                    "\\u01B2 > \\u028B;"+
                    "\\u01B3 > \\u01B4;"+
                    "\\u01B5 > \\u01B6;"+
                    "\\u01B7 > \\u0292;"+
                    "\\u01B8 > \\u01B9;"+
                    "\\u01BC > \\u01BD;"+
                    "\\u01C4 > \\u01C6;"+
                    "\\u01C5 > \\u01C6;"+
                    "\\u01C7 > \\u01C9;"+
                    "\\u01C8 > \\u01C9;"+
                    "\\u01CA > \\u01CC;"+
                    "\\u01CB > \\u01CC;"+
                    "\\u01CD > \\u01CE;"+
                    "\\u01CF > \\u01D0;"+
                    "\\u01D1 > \\u01D2;"+
                    "\\u01D3 > \\u01D4;"+
                    "\\u01D5 > \\u01D6;"+
                    "\\u01D7 > \\u01D8;"+
                    "\\u01D9 > \\u01DA;"+
                    "\\u01DB > \\u01DC;"+
                    "\\u01DE > \\u01DF;"+
                    "\\u01E0 > \\u01E1;"+
                    "\\u01E2 > \\u01E3;"+
                    "\\u01E4 > \\u01E5;"+
                    "\\u01E6 > \\u01E7;"+
                    "\\u01E8 > \\u01E9;"+
                    "\\u01EA > \\u01EB;"+
                    "\\u01EC > \\u01ED;"+
                    "\\u01EE > \\u01EF;"+
                    "\\u01F0 > j\\u030C;"+
                    "\\u01F1 > \\u01F3;"+
                    "\\u01F2 > \\u01F3;"+
                    "\\u01F4 > \\u01F5;"+
                    "\\u01F6 > \\u0195;"+
                    "\\u01F7 > \\u01BF;"+
                    "\\u01F8 > \\u01F9;"+
                    "\\u01FA > \\u01FB;"+
                    "\\u01FC > \\u01FD;"+
                    "\\u01FE > \\u01FF;"+
                    "\\u0200 > \\u0201;"+
                    "\\u0202 > \\u0203;"+
                    "\\u0204 > \\u0205;"+
                    "\\u0206 > \\u0207;"+
                    "\\u0208 > \\u0209;"+
                    "\\u020A > \\u020B;"+
                    "\\u020C > \\u020D;"+
                    "\\u020E > \\u020F;"+
                    "\\u0210 > \\u0211;"+
                    "\\u0212 > \\u0213;"+
                    "\\u0214 > \\u0215;"+
                    "\\u0216 > \\u0217;"+
                    "\\u0218 > \\u0219;"+
                    "\\u021A > \\u021B;"+
                    "\\u021C > \\u021D;"+
                    "\\u021E > \\u021F;"+
                    "\\u0220 > \\u019E;"+
                    "\\u0222 > \\u0223;"+
                    "\\u0224 > \\u0225;"+
                    "\\u0226 > \\u0227;"+
                    "\\u0228 > \\u0229;"+
                    "\\u022A > \\u022B;"+
                    "\\u022C > \\u022D;"+
                    "\\u022E > \\u022F;"+
                    "\\u0230 > \\u0231;"+
                    "\\u0232 > \\u0233;"+
                    "\\u0345 > \\u03B9;"+
                    "\\u037A > \\u0020\\u03B9;"+
                    "\\u0386 > \\u03AC;"+
                    "\\u0388 > \\u03AD;"+
                    "\\u0389 > \\u03AE;"+
                    "\\u038A > \\u03AF;"+
                    "\\u038C > \\u03CC;"+
                    "\\u038E > \\u03CD;"+
                    "\\u038F > \\u03CE;"+
                    "\\u0390 > \\u03B9\\u0308\\u0301;"+
                    "\\u0391 > \\u03B1;"+
                    "\\u0392 > \\u03B2;"+
                    "\\u0393 > \\u03B3;"+
                    "\\u0394 > \\u03B4;"+
                    "\\u0395 > \\u03B5;"+
                    "\\u0396 > \\u03B6;"+
                    "\\u0397 > \\u03B7;"+
                    "\\u0398 > \\u03B8;"+
                    "\\u0399 > \\u03B9;"+
                    "\\u039A > \\u03BA;"+
                    "\\u039B > \\u03BB;"+
                    "\\u039C > \\u03BC;"+
                    "\\u039D > \\u03BD;"+
                    "\\u039E > \\u03BE;"+
                    "\\u039F > \\u03BF;"+
                    "\\u03A0 > \\u03C0;"+
                    "\\u03A1 > \\u03C1;"+
                    "\\u03A3 > \\u03C3;"+
                    "\\u03A4 > \\u03C4;"+
                    "\\u03A5 > \\u03C5;"+
                    "\\u03A6 > \\u03C6;"+
                    "\\u03A7 > \\u03C7;"+
                    "\\u03A8 > \\u03C8;"+
                    "\\u03A9 > \\u03C9;"+
                    "\\u03AA > \\u03CA;"+
                    "\\u03AB > \\u03CB;"+
                    "\\u03B0 > \\u03C5\\u0308\\u0301;"+
                    "\\u03C2 > \\u03C3;"+
                    "\\u03D0 > \\u03B2;"+
                    "\\u03D1 > \\u03B8;"+
                    "\\u03D2 > \\u03C5;"+
                    "\\u03D3 > \\u03CD;"+
                    "\\u03D4 > \\u03CB;"+
                    "\\u03D5 > \\u03C6;"+
                    "\\u03D6 > \\u03C0;"+
                    "\\u03D8 > \\u03D9;"+
                    "\\u03DA > \\u03DB;"+
                    "\\u03DC > \\u03DD;"+
                    "\\u03DE > \\u03DF;"+
                    "\\u03E0 > \\u03E1;"+
                    "\\u03E2 > \\u03E3;"+
                    "\\u03E4 > \\u03E5;"+
                    "\\u03E6 > \\u03E7;"+
                    "\\u03E8 > \\u03E9;"+
                    "\\u03EA > \\u03EB;"+
                    "\\u03EC > \\u03ED;"+
                    "\\u03EE > \\u03EF;"+
                    "\\u03F0 > \\u03BA;"+
                    "\\u03F1 > \\u03C1;"+
                    "\\u03F2 > \\u03C3;"+
                    "\\u03F4 > \\u03B8;"+
                    "\\u03F5 > \\u03B5;"+
                    "\\u0400 > \\u0450;"+
                    "\\u0401 > \\u0451;"+
                    "\\u0402 > \\u0452;"+
                    "\\u0403 > \\u0453;"+
                    "\\u0404 > \\u0454;"+
                    "\\u0405 > \\u0455;"+
                    "\\u0406 > \\u0456;"+
                    "\\u0407 > \\u0457;"+
                    "\\u0408 > \\u0458;"+
                    "\\u0409 > \\u0459;"+
                    "\\u040A > \\u045A;"+
                    "\\u040B > \\u045B;"+
                    "\\u040C > \\u045C;"+
                    "\\u040D > \\u045D;"+
                    "\\u040E > \\u045E;"+
                    "\\u040F > \\u045F;"+
                    "\\u0410 > \\u0430;"+
                    "\\u0411 > \\u0431;"+
                    "\\u0412 > \\u0432;"+
                    "\\u0413 > \\u0433;"+
                    "\\u0414 > \\u0434;"+
                    "\\u0415 > \\u0435;"+
                    "\\u0416 > \\u0436;"+
                    "\\u0417 > \\u0437;"+
                    "\\u0418 > \\u0438;"+
                    "\\u0419 > \\u0439;"+
                    "\\u041A > \\u043A;"+
                    "\\u041B > \\u043B;"+
                    "\\u041C > \\u043C;"+
                    "\\u041D > \\u043D;"+
                    "\\u041E > \\u043E;"+
                    "\\u041F > \\u043F;"+
                    "\\u0420 > \\u0440;"+
                    "\\u0421 > \\u0441;"+
                    "\\u0422 > \\u0442;"+
                    "\\u0423 > \\u0443;"+
                    "\\u0424 > \\u0444;"+
                    "\\u0425 > \\u0445;"+
                    "\\u0426 > \\u0446;"+
                    "\\u0427 > \\u0447;"+
                    "\\u0428 > \\u0448;"+
                    "\\u0429 > \\u0449;"+
                    "\\u042A > \\u044A;"+
                    "\\u042B > \\u044B;"+
                    "\\u042C > \\u044C;"+
                    "\\u042D > \\u044D;"+
                    "\\u042E > \\u044E;"+
                    "\\u042F > \\u044F;"+
                    "\\u0460 > \\u0461;"+
                    "\\u0462 > \\u0463;"+
                    "\\u0464 > \\u0465;"+
                    "\\u0466 > \\u0467;"+
                    "\\u0468 > \\u0469;"+
                    "\\u046A > \\u046B;"+
                    "\\u046C > \\u046D;"+
                    "\\u046E > \\u046F;"+
                    "\\u0470 > \\u0471;"+
                    "\\u0472 > \\u0473;"+
                    "\\u0474 > \\u0475;"+
                    "\\u0476 > \\u0477;"+
                    "\\u0478 > \\u0479;"+
                    "\\u047A > \\u047B;"+
                    "\\u047C > \\u047D;"+
                    "\\u047E > \\u047F;"+
                    "\\u0480 > \\u0481;"+
                    "\\u048A > \\u048B;"+
                    "\\u048C > \\u048D;"+
                    "\\u048E > \\u048F;"+
                    "\\u0490 > \\u0491;"+
                    "\\u0492 > \\u0493;"+
                    "\\u0494 > \\u0495;"+
                    "\\u0496 > \\u0497;"+
                    "\\u0498 > \\u0499;"+
                    "\\u049A > \\u049B;"+
                    "\\u049C > \\u049D;"+
                    "\\u049E > \\u049F;"+
                    "\\u04A0 > \\u04A1;"+
                    "\\u04A2 > \\u04A3;"+
                    "\\u04A4 > \\u04A5;"+
                    "\\u04A6 > \\u04A7;"+
                    "\\u04A8 > \\u04A9;"+
                    "\\u04AA > \\u04AB;"+
                    "\\u04AC > \\u04AD;"+
                    "\\u04AE > \\u04AF;"+
                    "\\u04B0 > \\u04B1;"+
                    "\\u04B2 > \\u04B3;"+
                    "\\u04B4 > \\u04B5;"+
                    "\\u04B6 > \\u04B7;"+
                    "\\u04B8 > \\u04B9;"+
                    "\\u04BA > \\u04BB;"+
                    "\\u04BC > \\u04BD;"+
                    "\\u04BE > \\u04BF;"+
                    "\\u04C1 > \\u04C2;"+
                    "\\u04C3 > \\u04C4;"+
                    "\\u04C5 > \\u04C6;"+
                    "\\u04C7 > \\u04C8;"+
                    "\\u04C9 > \\u04CA;"+
                    "\\u04CB > \\u04CC;"+
                    "\\u04CD > \\u04CE;"+
                    "\\u04D0 > \\u04D1;"+
                    "\\u04D2 > \\u04D3;"+
                    "\\u04D4 > \\u04D5;"+
                    "\\u04D6 > \\u04D7;"+
                    "\\u04D8 > \\u04D9;"+
                    "\\u04DA > \\u04DB;"+
                    "\\u04DC > \\u04DD;"+
                    "\\u04DE > \\u04DF;"+
                    "\\u04E0 > \\u04E1;"+
                    "\\u04E2 > \\u04E3;"+
                    "\\u04E4 > \\u04E5;"+
                    "\\u04E6 > \\u04E7;"+
                    "\\u04E8 > \\u04E9;"+
                    "\\u04EA > \\u04EB;"+
                    "\\u04EC > \\u04ED;"+
                    "\\u04EE > \\u04EF;"+
                    "\\u04F0 > \\u04F1;"+
                    "\\u04F2 > \\u04F3;"+
                    "\\u04F4 > \\u04F5;"+
                    "\\u04F8 > \\u04F9;"+
                    "\\u0500 > \\u0501;"+
                    "\\u0502 > \\u0503;"+
                    "\\u0504 > \\u0505;"+
                    "\\u0506 > \\u0507;"+
                    "\\u0508 > \\u0509;"+
                    "\\u050A > \\u050B;"+
                    "\\u050C > \\u050D;"+
                    "\\u050E > \\u050F;"+
                    "\\u0531 > \\u0561;"+
                    "\\u0532 > \\u0562;"+
                    "\\u0533 > \\u0563;"+
                    "\\u0534 > \\u0564;"+
                    "\\u0535 > \\u0565;"+
                    "\\u0536 > \\u0566;"+
                    "\\u0537 > \\u0567;"+
                    "\\u0538 > \\u0568;"+
                    "\\u0539 > \\u0569;"+
                    "\\u053A > \\u056A;"+
                    "\\u053B > \\u056B;"+
                    "\\u053C > \\u056C;"+
                    "\\u053D > \\u056D;"+
                    "\\u053E > \\u056E;"+
                    "\\u053F > \\u056F;"+
                    "\\u0540 > \\u0570;"+
                    "\\u0541 > \\u0571;"+
                    "\\u0542 > \\u0572;"+
                    "\\u0543 > \\u0573;"+
                    "\\u0544 > \\u0574;"+
                    "\\u0545 > \\u0575;"+
                    "\\u0546 > \\u0576;"+
                    "\\u0547 > \\u0577;"+
                    "\\u0548 > \\u0578;"+
                    "\\u0549 > \\u0579;"+
                    "\\u054A > \\u057A;"+
                    "\\u054B > \\u057B;"+
                    "\\u054C > \\u057C;"+
                    "\\u054D > \\u057D;"+
                    "\\u054E > \\u057E;"+
                    "\\u054F > \\u057F;"+
                    "\\u0550 > \\u0580;"+
                    "\\u0551 > \\u0581;"+
                    "\\u0552 > \\u0582;"+
                    "\\u0553 > \\u0583;"+
                    "\\u0554 > \\u0584;"+
                    "\\u0555 > \\u0585;"+
                    "\\u0556 > \\u0586;"+
                    "\\u0587 > \\u0565\\u0582;"+
                    "\\u1E00 > \\u1E01;"+
                    "\\u1E02 > \\u1E03;"+
                    "\\u1E04 > \\u1E05;"+
                    "\\u1E06 > \\u1E07;"+
                    "\\u1E08 > \\u1E09;"+
                    "\\u1E0A > \\u1E0B;"+
                    "\\u1E0C > \\u1E0D;"+
                    "\\u1E0E > \\u1E0F;"+
                    "\\u1E10 > \\u1E11;"+
                    "\\u1E12 > \\u1E13;"+
                    "\\u1E14 > \\u1E15;"+
                    "\\u1E16 > \\u1E17;"+
                    "\\u1E18 > \\u1E19;"+
                    "\\u1E1A > \\u1E1B;"+
                    "\\u1E1C > \\u1E1D;"+
                    "\\u1E1E > \\u1E1F;"+
                    "\\u1E20 > \\u1E21;"+
                    "\\u1E22 > \\u1E23;"+
                    "\\u1E24 > \\u1E25;"+
                    "\\u1E26 > \\u1E27;"+
                    "\\u1E28 > \\u1E29;"+
                    "\\u1E2A > \\u1E2B;"+
                    "\\u1E2C > \\u1E2D;"+
                    "\\u1E2E > \\u1E2F;"+
                    "\\u1E30 > \\u1E31;"+
                    "\\u1E32 > \\u1E33;"+
                    "\\u1E34 > \\u1E35;"+
                    "\\u1E36 > \\u1E37;"+
                    "\\u1E38 > \\u1E39;"+
                    "\\u1E3A > \\u1E3B;"+
                    "\\u1E3C > \\u1E3D;"+
                    "\\u1E3E > \\u1E3F;"+
                    "\\u1E40 > \\u1E41;"+
                    "\\u1E42 > \\u1E43;"+
                    "\\u1E44 > \\u1E45;"+
                    "\\u1E46 > \\u1E47;"+
                    "\\u1E48 > \\u1E49;"+
                    "\\u1E4A > \\u1E4B;"+
                    "\\u1E4C > \\u1E4D;"+
                    "\\u1E4E > \\u1E4F;"+
                    "\\u1E50 > \\u1E51;"+
                    "\\u1E52 > \\u1E53;"+
                    "\\u1E54 > \\u1E55;"+
                    "\\u1E56 > \\u1E57;"+
                    "\\u1E58 > \\u1E59;"+
                    "\\u1E5A > \\u1E5B;"+
                    "\\u1E5C > \\u1E5D;"+
                    "\\u1E5E > \\u1E5F;"+
                    "\\u1E60 > \\u1E61;"+
                    "\\u1E62 > \\u1E63;"+
                    "\\u1E64 > \\u1E65;"+
                    "\\u1E66 > \\u1E67;"+
                    "\\u1E68 > \\u1E69;"+
                    "\\u1E6A > \\u1E6B;"+
                    "\\u1E6C > \\u1E6D;"+
                    "\\u1E6E > \\u1E6F;"+
                    "\\u1E70 > \\u1E71;"+
                    "\\u1E72 > \\u1E73;"+
                    "\\u1E74 > \\u1E75;"+
                    "\\u1E76 > \\u1E77;"+
                    "\\u1E78 > \\u1E79;"+
                    "\\u1E7A > \\u1E7B;"+
                    "\\u1E7C > \\u1E7D;"+
                    "\\u1E7E > \\u1E7F;"+
                    "\\u1E80 > \\u1E81;"+
                    "\\u1E82 > \\u1E83;"+
                    "\\u1E84 > \\u1E85;"+
                    "\\u1E86 > \\u1E87;"+
                    "\\u1E88 > \\u1E89;"+
                    "\\u1E8A > \\u1E8B;"+
                    "\\u1E8C > \\u1E8D;"+
                    "\\u1E8E > \\u1E8F;"+
                    "\\u1E90 > \\u1E91;"+
                    "\\u1E92 > \\u1E93;"+
                    "\\u1E94 > \\u1E95;"+
                    "\\u1E96 > h\\u0331;"+
                    "\\u1E97 > t\\u0308;"+
                    "\\u1E98 > w\\u030A;"+
                    "\\u1E99 > y\\u030A;"+
                    "\\u1E9A > a\\u02BE;"+
                    "\\u1E9B > \\u1E61;"+
                    "\\u1EA0 > \\u1EA1;"+
                    "\\u1EA2 > \\u1EA3;"+
                    "\\u1EA4 > \\u1EA5;"+
                    "\\u1EA6 > \\u1EA7;"+
                    "\\u1EA8 > \\u1EA9;"+
                    "\\u1EAA > \\u1EAB;"+
                    "\\u1EAC > \\u1EAD;"+
                    "\\u1EAE > \\u1EAF;"+
                    "\\u1EB0 > \\u1EB1;"+
                    "\\u1EB2 > \\u1EB3;"+
                    "\\u1EB4 > \\u1EB5;"+
                    "\\u1EB6 > \\u1EB7;"+
                    "\\u1EB8 > \\u1EB9;"+
                    "\\u1EBA > \\u1EBB;"+
                    "\\u1EBC > \\u1EBD;"+
                    "\\u1EBE > \\u1EBF;"+
                    "\\u1EC0 > \\u1EC1;"+
                    "\\u1EC2 > \\u1EC3;"+
                    "\\u1EC4 > \\u1EC5;"+
                    "\\u1EC6 > \\u1EC7;"+
                    "\\u1EC8 > \\u1EC9;"+
                    "\\u1ECA > \\u1ECB;"+
                    "\\u1ECC > \\u1ECD;"+
                    "\\u1ECE > \\u1ECF;"+
                    "\\u1ED0 > \\u1ED1;"+
                    "\\u1ED2 > \\u1ED3;"+
                    "\\u1ED4 > \\u1ED5;"+
                    "\\u1ED6 > \\u1ED7;"+
                    "\\u1ED8 > \\u1ED9;"+
                    "\\u1EDA > \\u1EDB;"+
                    "\\u1EDC > \\u1EDD;"+
                    "\\u1EDE > \\u1EDF;"+
                    "\\u1EE0 > \\u1EE1;"+
                    "\\u1EE2 > \\u1EE3;"+
                    "\\u1EE4 > \\u1EE5;"+
                    "\\u1EE6 > \\u1EE7;"+
                    "\\u1EE8 > \\u1EE9;"+
                    "\\u1EEA > \\u1EEB;"+
                    "\\u1EEC > \\u1EED;"+
                    "\\u1EEE > \\u1EEF;"+
                    "\\u1EF0 > \\u1EF1;"+
                    "\\u1EF2 > \\u1EF3;"+
                    "\\u1EF4 > \\u1EF5;"+
                    "\\u1EF6 > \\u1EF7;"+
                    "\\u1EF8 > \\u1EF9;"+
                    "\\u1F08 > \\u1F00;"+
                    "\\u1F09 > \\u1F01;"+
                    "\\u1F0A > \\u1F02;"+
                    "\\u1F0B > \\u1F03;"+
                    "\\u1F0C > \\u1F04;"+
                    "\\u1F0D > \\u1F05;"+
                    "\\u1F0E > \\u1F06;"+
                    "\\u1F0F > \\u1F07;"+
                    "\\u1F18 > \\u1F10;"+
                    "\\u1F19 > \\u1F11;"+
                    "\\u1F1A > \\u1F12;"+
                    "\\u1F1B > \\u1F13;"+
                    "\\u1F1C > \\u1F14;"+
                    "\\u1F1D > \\u1F15;"+
                    "\\u1F28 > \\u1F20;"+
                    "\\u1F29 > \\u1F21;"+
                    "\\u1F2A > \\u1F22;"+
                    "\\u1F2B > \\u1F23;"+
                    "\\u1F2C > \\u1F24;"+
                    "\\u1F2D > \\u1F25;"+
                    "\\u1F2E > \\u1F26;"+
                    "\\u1F2F > \\u1F27;"+
                    "\\u1F38 > \\u1F30;"+
                    "\\u1F39 > \\u1F31;"+
                    "\\u1F3A > \\u1F32;"+
                    "\\u1F3B > \\u1F33;"+
                    "\\u1F3C > \\u1F34;"+
                    "\\u1F3D > \\u1F35;"+
                    "\\u1F3E > \\u1F36;"+
                    "\\u1F3F > \\u1F37;"+
                    "\\u1F48 > \\u1F40;"+
                    "\\u1F49 > \\u1F41;"+
                    "\\u1F4A > \\u1F42;"+
                    "\\u1F4B > \\u1F43;"+
                    "\\u1F4C > \\u1F44;"+
                    "\\u1F4D > \\u1F45;"+
                    "\\u1F50 > \\u03C5\\u0313;"+
                    "\\u1F52 > \\u03C5\\u0313\\u0300;"+
                    "\\u1F54 > \\u03C5\\u0313\\u0301;"+
                    "\\u1F56 > \\u03C5\\u0313\\u0342;"+
                    "\\u1F59 > \\u1F51;"+
                    "\\u1F5B > \\u1F53;"+
                    "\\u1F5D > \\u1F55;"+
                    "\\u1F5F > \\u1F57;"+
                    "\\u1F68 > \\u1F60;"+
                    "\\u1F69 > \\u1F61;"+
                    "\\u1F6A > \\u1F62;"+
                    "\\u1F6B > \\u1F63;"+
                    "\\u1F6C > \\u1F64;"+
                    "\\u1F6D > \\u1F65;"+
                    "\\u1F6E > \\u1F66;"+
                    "\\u1F6F > \\u1F67;"+
                    "\\u1F80 > \\u1F00\\u03B9;"+
                    "\\u1F81 > \\u1F01\\u03B9;"+
                    "\\u1F82 > \\u1F02\\u03B9;"+
                    "\\u1F83 > \\u1F03\\u03B9;"+
                    "\\u1F84 > \\u1F04\\u03B9;"+
                    "\\u1F85 > \\u1F05\\u03B9;"+
                    "\\u1F86 > \\u1F06\\u03B9;"+
                    "\\u1F87 > \\u1F07\\u03B9;"+
                    "\\u1F88 > \\u1F00\\u03B9;"+
                    "\\u1F89 > \\u1F01\\u03B9;"+
                    "\\u1F8A > \\u1F02\\u03B9;"+
                    "\\u1F8B > \\u1F03\\u03B9;"+
                    "\\u1F8C > \\u1F04\\u03B9;"+
                    "\\u1F8D > \\u1F05\\u03B9;"+
                    "\\u1F8E > \\u1F06\\u03B9;"+
                    "\\u1F8F > \\u1F07\\u03B9;"+
                    "\\u1F90 > \\u1F20\\u03B9;"+
                    "\\u1F91 > \\u1F21\\u03B9;"+
                    "\\u1F92 > \\u1F22\\u03B9;"+
                    "\\u1F93 > \\u1F23\\u03B9;"+
                    "\\u1F94 > \\u1F24\\u03B9;"+
                    "\\u1F95 > \\u1F25\\u03B9;"+
                    "\\u1F96 > \\u1F26\\u03B9;"+
                    "\\u1F97 > \\u1F27\\u03B9;"+
                    "\\u1F98 > \\u1F20\\u03B9;"+
                    "\\u1F99 > \\u1F21\\u03B9;"+
                    "\\u1F9A > \\u1F22\\u03B9;"+
                    "\\u1F9B > \\u1F23\\u03B9;"+
                    "\\u1F9C > \\u1F24\\u03B9;"+
                    "\\u1F9D > \\u1F25\\u03B9;"+
                    "\\u1F9E > \\u1F26\\u03B9;"+
                    "\\u1F9F > \\u1F27\\u03B9;"+
                    "\\u1FA0 > \\u1F60\\u03B9;"+
                    "\\u1FA1 > \\u1F61\\u03B9;"+
                    "\\u1FA2 > \\u1F62\\u03B9;"+
                    "\\u1FA3 > \\u1F63\\u03B9;"+
                    "\\u1FA4 > \\u1F64\\u03B9;"+
                    "\\u1FA5 > \\u1F65\\u03B9;"+
                    "\\u1FA6 > \\u1F66\\u03B9;"+
                    "\\u1FA7 > \\u1F67\\u03B9;"+
                    "\\u1FA8 > \\u1F60\\u03B9;"+
                    "\\u1FA9 > \\u1F61\\u03B9;"+
                    "\\u1FAA > \\u1F62\\u03B9;"+
                    "\\u1FAB > \\u1F63\\u03B9;"+
                    "\\u1FAC > \\u1F64\\u03B9;"+
                    "\\u1FAD > \\u1F65\\u03B9;"+
                    "\\u1FAE > \\u1F66\\u03B9;"+
                    "\\u1FAF > \\u1F67\\u03B9;"+
                    "\\u1FB2 > \\u1F70\\u03B9;"+
                    "\\u1FB3 > \\u03B1\\u03B9;"+
                    "\\u1FB4 > \\u03AC\\u03B9;"+
                    "\\u1FB6 > \\u03B1\\u0342;"+
                    "\\u1FB7 > \\u03B1\\u0342\\u03B9;"+
                    "\\u1FB8 > \\u1FB0;"+
                    "\\u1FB9 > \\u1FB1;"+
                    "\\u1FBA > \\u1F70;"+
                    "\\u1FBB > \\u1F71;"+
                    "\\u1FBC > \\u03B1\\u03B9;"+
                    "\\u1FBE > \\u03B9;"+
                    "\\u1FC2 > \\u1F74\\u03B9;"+
                    "\\u1FC3 > \\u03B7\\u03B9;"+
                    "\\u1FC4 > \\u03AE\\u03B9;"+
                    "\\u1FC6 > \\u03B7\\u0342;"+
                    "\\u1FC7 > \\u03B7\\u0342\\u03B9;"+
                    "\\u1FC8 > \\u1F72;"+
                    "\\u1FC9 > \\u1F73;"+
                    "\\u1FCA > \\u1F74;"+
                    "\\u1FCB > \\u1F75;"+
                    "\\u1FCC > \\u03B7\\u03B9;"+
                    "\\u1FD2 > \\u03B9\\u0308\\u0300;"+
                    "\\u1FD3 > \\u03B9\\u0308\\u0301;"+
                    "\\u1FD6 > \\u03B9\\u0342;"+
                    "\\u1FD7 > \\u03B9\\u0308\\u0342;"+
                    "\\u1FD8 > \\u1FD0;"+
                    "\\u1FD9 > \\u1FD1;"+
                    "\\u1FDA > \\u1F76;"+
                    "\\u1FDB > \\u1F77;"+
                    "\\u1FE2 > \\u03C5\\u0308\\u0300;"+
                    "\\u1FE3 > \\u03C5\\u0308\\u0301;"+
                    "\\u1FE4 > \\u03C1\\u0313;"+
                    "\\u1FE6 > \\u03C5\\u0342;"+
                    "\\u1FE7 > \\u03C5\\u0308\\u0342;"+
                    "\\u1FE8 > \\u1FE0;"+
                    "\\u1FE9 > \\u1FE1;"+
                    "\\u1FEA > \\u1F7A;"+
                    "\\u1FEB > \\u1F7B;"+
                    "\\u1FEC > \\u1FE5;"+
                    "\\u1FF2 > \\u1F7C\\u03B9;"+
                    "\\u1FF3 > \\u03C9\\u03B9;"+
                    "\\u1FF4 > \\u03CE\\u03B9;"+
                    "\\u1FF6 > \\u03C9\\u0342;"+
                    "\\u1FF7 > \\u03C9\\u0342\\u03B9;"+
                    "\\u1FF8 > \\u1F78;"+
                    "\\u1FF9 > \\u1F79;"+
                    "\\u1FFA > \\u1F7C;"+
                    "\\u1FFB > \\u1F7D;"+
                    "\\u1FFC > \\u03C9\\u03B9;"+
                    "\\u20A8 > rs;"+
                    "\\u2102 > c;"+
                    "\\u2103 > \\u00B0c;"+
                    "\\u2107 > \\u025B;"+
                    "\\u2109 > \\u00B0f;"+
                    "\\u210B > h;"+
                    "\\u210C > h;"+
                    "\\u210D > h;"+
                    "\\u2110 > i;"+
                    "\\u2111 > i;"+
                    "\\u2112 > l;"+
                    "\\u2115 > n;"+
                    "\\u2116 > no;"+
                    "\\u2119 > p;"+
                    "\\u211A > q;"+
                    "\\u211B > r;"+
                    "\\u211C > r;"+
                    "\\u211D > r;"+
                    "\\u2120 > sm;"+
                    "\\u2121 > tel;"+
                    "\\u2122 > tm;"+
                    "\\u2124 > z;"+
                    "\\u2126 > \\u03C9;"+
                    "\\u2128 > z;"+
                    "\\u212A > k;"+
                    "\\u212B > \\u00E5;"+
                    "\\u212C > b;"+
                    "\\u212D > c;"+
                    "\\u2130 > e;"+
                    "\\u2131 > f;"+
                    "\\u2133 > m;"+
                    "\\u213E > \\u03B3;"+
                    "\\u213F > \\u03C0;"+
                    "\\u2145 > d;"+
                    "\\u2160 > \\u2170;"+
                    "\\u2161 > \\u2171;"+
                    "\\u2162 > \\u2172;"+
                    "\\u2163 > \\u2173;"+
                    "\\u2164 > \\u2174;"+
                    "\\u2165 > \\u2175;"+
                    "\\u2166 > \\u2176;"+
                    "\\u2167 > \\u2177;"+
                    "\\u2168 > \\u2178;"+
                    "\\u2169 > \\u2179;"+
                    "\\u216A > \\u217A;"+
                    "\\u216B > \\u217B;"+
                    "\\u216C > \\u217C;"+
                    "\\u216D > \\u217D;"+
                    "\\u216E > \\u217E;"+
                    "\\u216F > \\u217F;"+
                    "\\u24B6 > \\u24D0;"+
                    "\\u24B7 > \\u24D1;"+
                    "\\u24B8 > \\u24D2;"+
                    "\\u24B9 > \\u24D3;"+
                    "\\u24BA > \\u24D4;"+
                    "\\u24BB > \\u24D5;"+
                    "\\u24BC > \\u24D6;"+
                    "\\u24BD > \\u24D7;"+
                    "\\u24BE > \\u24D8;"+
                    "\\u24BF > \\u24D9;"+
                    "\\u24C0 > \\u24DA;"+
                    "\\u24C1 > \\u24DB;"+
                    "\\u24C2 > \\u24DC;"+
                    "\\u24C3 > \\u24DD;"+
                    "\\u24C4 > \\u24DE;"+
                    "\\u24C5 > \\u24DF;"+
                    "\\u24C6 > \\u24E0;"+
                    "\\u24C7 > \\u24E1;"+
                    "\\u24C8 > \\u24E2;"+
                    "\\u24C9 > \\u24E3;"+
                    "\\u24CA > \\u24E4;"+
                    "\\u24CB > \\u24E5;"+
                    "\\u24CC > \\u24E6;"+
                    "\\u24CD > \\u24E7;"+
                    "\\u24CE > \\u24E8;"+
                    "\\u24CF > \\u24E9;"+
                    "\\u3371 > hpa;"+
                    "\\u3373 > au;"+
                    "\\u3375 > ov;"+
                    "\\u3380 > pa;"+
                    "\\u3381 > na;"+
                    "\\u3382 > \\u03BCa;"+
                    "\\u3383 > ma;"+
                    "\\u3384 > ka;"+
                    "\\u3385 > kb;"+
                    "\\u3386 > mb;"+
                    "\\u3387 > gb;"+
                    "\\u338A > pf;"+
                    "\\u338B > nf;"+
                    "\\u338C > \\u03BCf;"+
                    "\\u3390 > hz;"+
                    "\\u3391 > khz;"+
                    "\\u3392 > mhz;"+
                    "\\u3393 > ghz;"+
                    "\\u3394 > thz;"+
                    "\\u33A9 > pa;"+
                    "\\u33AA > kpa;"+
                    "\\u33AB > mpa;"+
                    "\\u33AC > gpa;"+
                    "\\u33B4 > pv;"+
                    "\\u33B5 > nv;"+
                    "\\u33B6 > \\u03BCv;"+
                    "\\u33B7 > mv;"+
                    "\\u33B8 > kv;"+
                    "\\u33B9 > mv;"+
                    "\\u33BA > pw;"+
                    "\\u33BB > nw;"+
                    "\\u33BC > \\u03BCw;"+
                    "\\u33BD > mw;"+
                    "\\u33BE > kw;"+
                    "\\u33BF > mw;"+
                    "\\u33C0 > k\\u03C9;"+
                    "\\u33C1 > m\\u03C9;"+
                    "\\u33C3 > bq;"+
                    "\\u33C6 > c\\u2215kg;"+
                    "\\u33C7 > co\\.;"+
                    "\\u33C8 > db;"+
                    "\\u33C9 > gy;"+
                    "\\u33CB > hp;"+
                    "\\u33CD > kk;"+
                    "\\u33CE > km;"+
                    "\\u33D7 > ph;"+
                    "\\u33D9 > ppm;"+
                    "\\u33DA > pr;"+
                    "\\u33DC > sv;"+
                    "\\u33DD > wb;"+
                    "\\uFB00 > ff;"+
                    "\\uFB01 > fi;"+
                    "\\uFB02 > fl;"+
                    "\\uFB03 > ffi;"+
                    "\\uFB04 > ffl;"+
                    "\\uFB05 > st;"+
                    "\\uFB06 > st;"+
                    "\\uFB13 > \\u0574\\u0576;"+
                    "\\uFB14 > \\u0574\\u0565;"+
                    "\\uFB15 > \\u0574\\u056B;"+
                    "\\uFB16 > \\u057E\\u0576;"+
                    "\\uFB17 > \\u0574\\u056D;"+
                    "\\uFF21 > \\uFF41;"+
                    "\\uFF22 > \\uFF42;"+
                    "\\uFF23 > \\uFF43;"+
                    "\\uFF24 > \\uFF44;"+
                    "\\uFF25 > \\uFF45;"+
                    "\\uFF26 > \\uFF46;"+
                    "\\uFF27 > \\uFF47;"+
                    "\\uFF28 > \\uFF48;"+
                    "\\uFF29 > \\uFF49;"+
                    "\\uFF2A > \\uFF4A;"+
                    "\\uFF2B > \\uFF4B;"+
                    "\\uFF2C > \\uFF4C;"+
                    "\\uFF2D > \\uFF4D;"+
                    "\\uFF2E > \\uFF4E;"+
                    "\\uFF2F > \\uFF4F;"+
                    "\\uFF30 > \\uFF50;"+
                    "\\uFF31 > \\uFF51;"+
                    "\\uFF32 > \\uFF52;"+
                    "\\uFF33 > \\uFF53;"+
                    "\\uFF34 > \\uFF54;"+
                    "\\uFF35 > \\uFF55;"+
                    "\\uFF36 > \\uFF56;"+
                    "\\uFF37 > \\uFF57;"+
                    "\\uFF38 > \\uFF58;"+
                    "\\uFF39 > \\uFF59;"+
                    "\\uFF3A > \\uFF5A;"+
                    "\\U00010400 > \\U00010428;"+
                    "\\U00010401 > \\U00010429;"+
                    "\\U00010402 > \\U0001042A;"+
                    "\\U00010403 > \\U0001042B;"+
                    "\\U00010404 > \\U0001042C;"+
                    "\\U00010405 > \\U0001042D;"+
                    "\\U00010406 > \\U0001042E;"+
                    "\\U00010407 > \\U0001042F;"+
                    "\\U00010408 > \\U00010430;"+
                    "\\U00010409 > \\U00010431;"+
                    "\\U0001040A > \\U00010432;"+
                    "\\U0001040B > \\U00010433;"+
                    "\\U0001040C > \\U00010434;"+
                    "\\U0001040D > \\U00010435;"+
                    "\\U0001040E > \\U00010436;"+
                    "\\U0001040F > \\U00010437;"+
                    "\\U00010410 > \\U00010438;"+
                    "\\U00010411 > \\U00010439;"+
                    "\\U00010412 > \\U0001043A;"+
                    "\\U00010413 > \\U0001043B;"+
                    "\\U00010414 > \\U0001043C;"+
                    "\\U00010415 > \\U0001043D;"+
                    "\\U00010416 > \\U0001043E;"+
                    "\\U00010417 > \\U0001043F;"+
                    "\\U00010418 > \\U00010440;"+
                    "\\U00010419 > \\U00010441;"+
                    "\\U0001041A > \\U00010442;"+
                    "\\U0001041B > \\U00010443;"+
                    "\\U0001041C > \\U00010444;"+
                    "\\U0001041D > \\U00010445;"+
                    "\\U0001041E > \\U00010446;"+
                    "\\U0001041F > \\U00010447;"+
                    "\\U00010420 > \\U00010448;"+
                    "\\U00010421 > \\U00010449;"+
                    "\\U00010422 > \\U0001044A;"+
                    "\\U00010423 > \\U0001044B;"+
                    "\\U00010424 > \\U0001044C;"+
                    "\\U00010425 > \\U0001044D;"+
                    "\\U0001D400 > a;"+
                    "\\U0001D401 > b;"+
                    "\\U0001D402 > c;"+
                    "\\U0001D403 > d;"+
                    "\\U0001D404 > e;"+
                    "\\U0001D405 > f;"+
                    "\\U0001D406 > g;"+
                    "\\U0001D407 > h;"+
                    "\\U0001D408 > i;"+
                    "\\U0001D409 > j;"+
                    "\\U0001D40A > k;"+
                    "\\U0001D40B > l;"+
                    "\\U0001D40C > m;"+
                    "\\U0001D40D > n;"+
                    "\\U0001D40E > o;"+
                    "\\U0001D40F > p;"+
                    "\\U0001D410 > q;"+
                    "\\U0001D411 > r;"+
                    "\\U0001D412 > s;"+
                    "\\U0001D413 > t;"+
                    "\\U0001D414 > u;"+
                    "\\U0001D415 > v;"+
                    "\\U0001D416 > w;"+
                    "\\U0001D417 > x;"+
                    "\\U0001D418 > y;"+
                    "\\U0001D419 > z;"+
                    "\\U0001D434 > a;"+
                    "\\U0001D435 > b;"+
                    "\\U0001D436 > c;"+
                    "\\U0001D437 > d;"+
                    "\\U0001D438 > e;"+
                    "\\U0001D439 > f;"+
                    "\\U0001D43A > g;"+
                    "\\U0001D43B > h;"+
                    "\\U0001D43C > i;"+
                    "\\U0001D43D > j;"+
                    "\\U0001D43E > k;"+
                    "\\U0001D43F > l;"+
                    "\\U0001D440 > m;"+
                    "\\U0001D441 > n;"+
                    "\\U0001D442 > o;"+
                    "\\U0001D443 > p;"+
                    "\\U0001D444 > q;"+
                    "\\U0001D445 > r;"+
                    "\\U0001D446 > s;"+
                    "\\U0001D447 > t;"+
                    "\\U0001D448 > u;"+
                    "\\U0001D449 > v;"+
                    "\\U0001D44A > w;"+
                    "\\U0001D44B > x;"+
                    "\\U0001D44C > y;"+
                    "\\U0001D44D > z;"+
                    "\\U0001D468 > a;"+
                    "\\U0001D469 > b;"+
                    "\\U0001D46A > c;"+
                    "\\U0001D46B > d;"+
                    "\\U0001D46C > e;"+
                    "\\U0001D46D > f;"+
                    "\\U0001D46E > g;"+
                    "\\U0001D46F > h;"+
                    "\\U0001D470 > i;"+
                    "\\U0001D471 > j;"+
                    "\\U0001D472 > k;"+
                    "\\U0001D473 > l;"+
                    "\\U0001D474 > m;"+
                    "\\U0001D475 > n;"+
                    "\\U0001D476 > o;"+
                    "\\U0001D477 > p;"+
                    "\\U0001D478 > q;"+
                    "\\U0001D479 > r;"+
                    "\\U0001D47A > s;"+
                    "\\U0001D47B > t;"+
                    "\\U0001D47C > u;"+
                    "\\U0001D47D > v;"+
                    "\\U0001D47E > w;"+
                    "\\U0001D47F > x;"+
                    "\\U0001D480 > y;"+
                    "\\U0001D481 > z;"+
                    "\\U0001D49C > a;"+
                    "\\U0001D49E > c;"+
                    "\\U0001D49F > d;"+
                    "\\U0001D4A2 > g;"+
                    "\\U0001D4A5 > j;"+
                    "\\U0001D4A6 > k;"+
                    "\\U0001D4A9 > n;"+
                    "\\U0001D4AA > o;"+
                    "\\U0001D4AB > p;"+
                    "\\U0001D4AC > q;"+
                    "\\U0001D4AE > s;"+
                    "\\U0001D4AF > t;"+
                    "\\U0001D4B0 > u;"+
                    "\\U0001D4B1 > v;"+
                    "\\U0001D4B2 > w;"+
                    "\\U0001D4B3 > x;"+
                    "\\U0001D4B4 > y;"+
                    "\\U0001D4B5 > z;"+
                    "\\U0001D4D0 > a;"+
                    "\\U0001D4D1 > b;"+
                    "\\U0001D4D2 > c;"+
                    "\\U0001D4D3 > d;"+
                    "\\U0001D4D4 > e;"+
                    "\\U0001D4D5 > f;"+
                    "\\U0001D4D6 > g;"+
                    "\\U0001D4D7 > h;"+
                    "\\U0001D4D8 > i;"+
                    "\\U0001D4D9 > j;"+
                    "\\U0001D4DA > k;"+
                    "\\U0001D4DB > l;"+
                    "\\U0001D4DC > m;"+
                    "\\U0001D4DD > n;"+
                    "\\U0001D4DE > o;"+
                    "\\U0001D4DF > p;"+
                    "\\U0001D4E0 > q;"+
                    "\\U0001D4E1 > r;"+
                    "\\U0001D4E2 > s;"+
                    "\\U0001D4E3 > t;"+
                    "\\U0001D4E4 > u;"+
                    "\\U0001D4E5 > v;"+
                    "\\U0001D4E6 > w;"+
                    "\\U0001D4E7 > x;"+
                    "\\U0001D4E8 > y;"+
                    "\\U0001D4E9 > z;"+
                    "\\U0001D504 > a;"+
                    "\\U0001D505 > b;"+
                    "\\U0001D507 > d;"+
                    "\\U0001D508 > e;"+
                    "\\U0001D509 > f;"+
                    "\\U0001D50A > g;"+
                    "\\U0001D50D > j;"+
                    "\\U0001D50E > k;"+
                    "\\U0001D50F > l;"+
                    "\\U0001D510 > m;"+
                    "\\U0001D511 > n;"+
                    "\\U0001D512 > o;"+
                    "\\U0001D513 > p;"+
                    "\\U0001D514 > q;"+
                    "\\U0001D516 > s;"+
                    "\\U0001D517 > t;"+
                    "\\U0001D518 > u;"+
                    "\\U0001D519 > v;"+
                    "\\U0001D51A > w;"+
                    "\\U0001D51B > x;"+
                    "\\U0001D51C > y;"+
                    "\\U0001D538 > a;"+
                    "\\U0001D539 > b;"+
                    "\\U0001D53B > d;"+
                    "\\U0001D53C > e;"+
                    "\\U0001D53D > f;"+
                    "\\U0001D53E > g;"+
                    "\\U0001D540 > i;"+
                    "\\U0001D541 > j;"+
                    "\\U0001D542 > k;"+
                    "\\U0001D543 > l;"+
                    "\\U0001D544 > m;"+
                    "\\U0001D546 > o;"+
                    "\\U0001D54A > s;"+
                    "\\U0001D54B > t;"+
                    "\\U0001D54C > u;"+
                    "\\U0001D54D > v;"+
                    "\\U0001D54E > w;"+
                    "\\U0001D54F > x;"+
                    "\\U0001D550 > y;"+
                    "\\U0001D56C > a;"+
                    "\\U0001D56D > b;"+
                    "\\U0001D56E > c;"+
                    "\\U0001D56F > d;"+
                    "\\U0001D570 > e;"+
                    "\\U0001D571 > f;"+
                    "\\U0001D572 > g;"+
                    "\\U0001D573 > h;"+
                    "\\U0001D574 > i;"+
                    "\\U0001D575 > j;"+
                    "\\U0001D576 > k;"+
                    "\\U0001D577 > l;"+
                    "\\U0001D578 > m;"+
                    "\\U0001D579 > n;"+
                    "\\U0001D57A > o;"+
                    "\\U0001D57B > p;"+
                    "\\U0001D57C > q;"+
                    "\\U0001D57D > r;"+
                    "\\U0001D57E > s;"+
                    "\\U0001D57F > t;"+
                    "\\U0001D580 > u;"+
                    "\\U0001D581 > v;"+
                    "\\U0001D582 > w;"+
                    "\\U0001D583 > x;"+
                    "\\U0001D584 > y;"+
                    "\\U0001D585 > z;"+
                    "\\U0001D5A0 > a;"+
                    "\\U0001D5A1 > b;"+
                    "\\U0001D5A2 > c;"+
                    "\\U0001D5A3 > d;"+
                    "\\U0001D5A4 > e;"+
                    "\\U0001D5A5 > f;"+
                    "\\U0001D5A6 > g;"+
                    "\\U0001D5A7 > h;"+
                    "\\U0001D5A8 > i;"+
                    "\\U0001D5A9 > j;"+
                    "\\U0001D5AA > k;"+
                    "\\U0001D5AB > l;"+
                    "\\U0001D5AC > m;"+
                    "\\U0001D5AD > n;"+
                    "\\U0001D5AE > o;"+
                    "\\U0001D5AF > p;"+
                    "\\U0001D5B0 > q;"+
                    "\\U0001D5B1 > r;"+
                    "\\U0001D5B2 > s;"+
                    "\\U0001D5B3 > t;"+
                    "\\U0001D5B4 > u;"+
                    "\\U0001D5B5 > v;"+
                    "\\U0001D5B6 > w;"+
                    "\\U0001D5B7 > x;"+
                    "\\U0001D5B8 > y;"+
                    "\\U0001D5B9 > z;"+
                    "\\U0001D5D4 > a;"+
                    "\\U0001D5D5 > b;"+
                    "\\U0001D5D6 > c;"+
                    "\\U0001D5D7 > d;"+
                    "\\U0001D5D8 > e;"+
                    "\\U0001D5D9 > f;"+
                    "\\U0001D5DA > g;"+
                    "\\U0001D5DB > h;"+
                    "\\U0001D5DC > i;"+
                    "\\U0001D5DD > j;"+
                    "\\U0001D5DE > k;"+
                    "\\U0001D5DF > l;"+
                    "\\U0001D5E0 > m;"+
                    "\\U0001D5E1 > n;"+
                    "\\U0001D5E2 > o;"+
                    "\\U0001D5E3 > p;"+
                    "\\U0001D5E4 > q;"+
                    "\\U0001D5E5 > r;"+
                    "\\U0001D5E6 > s;"+
                    "\\U0001D5E7 > t;"+
                    "\\U0001D5E8 > u;"+
                    "\\U0001D5E9 > v;"+
                    "\\U0001D5EA > w;"+
                    "\\U0001D5EB > x;"+
                    "\\U0001D5EC > y;"+
                    "\\U0001D5ED > z;"+
                    "\\U0001D608 > a;"+
                    "\\U0001D609 > b;"+
                    "\\U0001D60A > c;"+
                    "\\U0001D60B > d;"+
                    "\\U0001D60C > e;"+
                    "\\U0001D60D > f;"+
                    "\\U0001D60E > g;"+
                    "\\U0001D60F > h;"+
                    "\\U0001D610 > i;"+
                    "\\U0001D611 > j;"+
                    "\\U0001D612 > k;"+
                    "\\U0001D613 > l;"+
                    "\\U0001D614 > m;"+
                    "\\U0001D615 > n;"+
                    "\\U0001D616 > o;"+
                    "\\U0001D617 > p;"+
                    "\\U0001D618 > q;"+
                    "\\U0001D619 > r;"+
                    "\\U0001D61A > s;"+
                    "\\U0001D61B > t;"+
                    "\\U0001D61C > u;"+
                    "\\U0001D61D > v;"+
                    "\\U0001D61E > w;"+
                    "\\U0001D61F > x;"+
                    "\\U0001D620 > y;"+
                    "\\U0001D621 > z;"+
                    "\\U0001D63C > a;"+
                    "\\U0001D63D > b;"+
                    "\\U0001D63E > c;"+
                    "\\U0001D63F > d;"+
                    "\\U0001D640 > e;"+
                    "\\U0001D641 > f;"+
                    "\\U0001D642 > g;"+
                    "\\U0001D643 > h;"+
                    "\\U0001D644 > i;"+
                    "\\U0001D645 > j;"+
                    "\\U0001D646 > k;"+
                    "\\U0001D647 > l;"+
                    "\\U0001D648 > m;"+
                    "\\U0001D649 > n;"+
                    "\\U0001D64A > o;"+
                    "\\U0001D64B > p;"+
                    "\\U0001D64C > q;"+
                    "\\U0001D64D > r;"+
                    "\\U0001D64E > s;"+
                    "\\U0001D64F > t;"+
                    "\\U0001D650 > u;"+
                    "\\U0001D651 > v;"+
                    "\\U0001D652 > w;"+
                    "\\U0001D653 > x;"+
                    "\\U0001D654 > y;"+
                    "\\U0001D655 > z;"+
                    "\\U0001D670 > a;"+
                    "\\U0001D671 > b;"+
                    "\\U0001D672 > c;"+
                    "\\U0001D673 > d;"+
                    "\\U0001D674 > e;"+
                    "\\U0001D675 > f;"+
                    "\\U0001D676 > g;"+
                    "\\U0001D677 > h;"+
                    "\\U0001D678 > i;"+
                    "\\U0001D679 > j;"+
                    "\\U0001D67A > k;"+
                    "\\U0001D67B > l;"+
                    "\\U0001D67C > m;"+
                    "\\U0001D67D > n;"+
                    "\\U0001D67E > o;"+
                    "\\U0001D67F > p;"+
                    "\\U0001D680 > q;"+
                    "\\U0001D681 > r;"+
                    "\\U0001D682 > s;"+
                    "\\U0001D683 > t;"+
                    "\\U0001D684 > u;"+
                    "\\U0001D685 > v;"+
                    "\\U0001D686 > w;"+
                    "\\U0001D687 > x;"+
                    "\\U0001D688 > y;"+
                    "\\U0001D689 > z;"+
                    "\\U0001D6A8 > \\u03B1;"+
                    "\\U0001D6A9 > \\u03B2;"+
                    "\\U0001D6AA > \\u03B3;"+
                    "\\U0001D6AB > \\u03B4;"+
                    "\\U0001D6AC > \\u03B5;"+
                    "\\U0001D6AD > \\u03B6;"+
                    "\\U0001D6AE > \\u03B7;"+
                    "\\U0001D6AF > \\u03B8;"+
                    "\\U0001D6B0 > \\u03B9;"+
                    "\\U0001D6B1 > \\u03BA;"+
                    "\\U0001D6B2 > \\u03BB;"+
                    "\\U0001D6B3 > \\u03BC;"+
                    "\\U0001D6B4 > \\u03BD;"+
                    "\\U0001D6B5 > \\u03BE;"+
                    "\\U0001D6B6 > \\u03BF;"+
                    "\\U0001D6B7 > \\u03C0;"+
                    "\\U0001D6B8 > \\u03C1;"+
                    "\\U0001D6B9 > \\u03B8;"+
                    "\\U0001D6BA > \\u03C3;"+
                    "\\U0001D6BB > \\u03C4;"+
                    "\\U0001D6BC > \\u03C5;"+
                    "\\U0001D6BD > \\u03C6;"+
                    "\\U0001D6BE > \\u03C7;"+
                    "\\U0001D6BF > \\u03C8;"+
                    "\\U0001D6C0 > \\u03C9;"+
                    "\\U0001D6D3 > \\u03C3;"+
                    "\\U0001D6E2 > \\u03B1;"+
                    "\\U0001D6E3 > \\u03B2;"+
                    "\\U0001D6E4 > \\u03B3;"+
                    "\\U0001D6E5 > \\u03B4;"+
                    "\\U0001D6E6 > \\u03B5;"+
                    "\\U0001D6E7 > \\u03B6;"+
                    "\\U0001D6E8 > \\u03B7;"+
                    "\\U0001D6E9 > \\u03B8;"+
                    "\\U0001D6EA > \\u03B9;"+
                    "\\U0001D6EB > \\u03BA;"+
                    "\\U0001D6EC > \\u03BB;"+
                    "\\U0001D6ED > \\u03BC;"+
                    "\\U0001D6EE > \\u03BD;"+
                    "\\U0001D6EF > \\u03BE;"+
                    "\\U0001D6F0 > \\u03BF;"+
                    "\\U0001D6F1 > \\u03C0;"+
                    "\\U0001D6F2 > \\u03C1;"+
                    "\\U0001D6F3 > \\u03B8;"+
                    "\\U0001D6F4 > \\u03C3;"+
                    "\\U0001D6F5 > \\u03C4;"+
                    "\\U0001D6F6 > \\u03C5;"+
                    "\\U0001D6F7 > \\u03C6;"+
                    "\\U0001D6F8 > \\u03C7;"+
                    "\\U0001D6F9 > \\u03C8;"+
                    "\\U0001D6FA > \\u03C9;"+
                    "\\U0001D70D > \\u03C3;"+
                    "\\U0001D71C > \\u03B1;"+
                    "\\U0001D71D > \\u03B2;"+
                    "\\U0001D71E > \\u03B3;"+
                    "\\U0001D71F > \\u03B4;"+
                    "\\U0001D720 > \\u03B5;"+
                    "\\U0001D721 > \\u03B6;"+
                    "\\U0001D722 > \\u03B7;"+
                    "\\U0001D723 > \\u03B8;"+
                    "\\U0001D724 > \\u03B9;"+
                    "\\U0001D725 > \\u03BA;"+
                    "\\U0001D726 > \\u03BB;"+
                    "\\U0001D727 > \\u03BC;"+
                    "\\U0001D728 > \\u03BD;"+
                    "\\U0001D729 > \\u03BE;"+
                    "\\U0001D72A > \\u03BF;"+
                    "\\U0001D72B > \\u03C0;"+
                    "\\U0001D72C > \\u03C1;"+
                    "\\U0001D72D > \\u03B8;"+
                    "\\U0001D72E > \\u03C3;"+
                    "\\U0001D72F > \\u03C4;"+
                    "\\U0001D730 > \\u03C5;"+
                    "\\U0001D731 > \\u03C6;"+
                    "\\U0001D732 > \\u03C7;"+
                    "\\U0001D733 > \\u03C8;"+
                    "\\U0001D734 > \\u03C9;"+
                    "\\U0001D747 > \\u03C3;"+
                    "\\U0001D756 > \\u03B1;"+
                    "\\U0001D757 > \\u03B2;"+
                    "\\U0001D758 > \\u03B3;"+
                    "\\U0001D759 > \\u03B4;"+
                    "\\U0001D75A > \\u03B5;"+
                    "\\U0001D75B > \\u03B6;"+
                    "\\U0001D75C > \\u03B7;"+
                    "\\U0001D75D > \\u03B8;"+
                    "\\U0001D75E > \\u03B9;"+
                    "\\U0001D75F > \\u03BA;"+
                    "\\U0001D760 > \\u03BB;"+
                    "\\U0001D761 > \\u03BC;"+
                    "\\U0001D762 > \\u03BD;"+
                    "\\U0001D763 > \\u03BE;"+
                    "\\U0001D764 > \\u03BF;"+
                    "\\U0001D765 > \\u03C0;"+
                    "\\U0001D766 > \\u03C1;"+
                    "\\U0001D767 > \\u03B8;"+
                    "\\U0001D768 > \\u03C3;"+
                    "\\U0001D769 > \\u03C4;"+
                    "\\U0001D76A > \\u03C5;"+
                    "\\U0001D76B > \\u03C6;"+
                    "\\U0001D76C > \\u03C7;"+
                    "\\U0001D76D > \\u03C8;"+
                    "\\U0001D76E > \\u03C9;"+
                    "\\U0001D781 > \\u03C3;"+
                    "\\U0001D790 > \\u03B1;"+
                    "\\U0001D791 > \\u03B2;"+
                    "\\U0001D792 > \\u03B3;"+
                    "\\U0001D793 > \\u03B4;"+
                    "\\U0001D794 > \\u03B5;"+
                    "\\U0001D795 > \\u03B6;"+
                    "\\U0001D796 > \\u03B7;"+
                    "\\U0001D797 > \\u03B8;"+
                    "\\U0001D798 > \\u03B9;"+
                    "\\U0001D799 > \\u03BA;"+
                    "\\U0001D79A > \\u03BB;"+
                    "\\U0001D79B > \\u03BC;"+
                    "\\U0001D79C > \\u03BD;"+
                    "\\U0001D79D > \\u03BE;"+
                    "\\U0001D79E > \\u03BF;"+
                    "\\U0001D79F > \\u03C0;"+
                    "\\U0001D7A0 > \\u03C1;"+
                    "\\U0001D7A1 > \\u03B8;"+
                    "\\U0001D7A2 > \\u03C3;"+
                    "\\U0001D7A3 > \\u03C4;"+
                    "\\U0001D7A4 > \\u03C5;"+
                    "\\U0001D7A5 > \\u03C6;"+
                    "\\U0001D7A6 > \\u03C7;"+
                    "\\U0001D7A7 > \\u03C8;"+
                    "\\U0001D7A8 > \\u03C9;"+
                    "\\U0001D7BB > \\u03C3;"+
                    "\\U0002F868 > \\U0002136A;"+
                    "\\U0002F874 > \\u5F33;"+
                    "\\U0002F91F > \\u43AB;"+
                    "\\U0002F95F > \\u7AAE;"+
                    "\\U0002F9BF > \\u4D57;"+
                    // generate the characters that are unaffected
                    "::[:AGE=3.2:]NFKC;"
                },
                {
                    "Map",
                    "\\u00AD > ;"+
                    "\\u034F > ;"+
                    "\\u1806 > ;"+
                    "\\u180B > ;"+
                    "\\u180C > ;"+
                    "\\u180D > ;"+
                    "\\u200B > ;"+
                    "\\u200C > ;"+
                    "\\u200D > ;"+
                    "\\u2060 > ;"+
                    "\\uFE00 > ;"+
                    "\\uFE01 > ;"+
                    "\\uFE02 > ;"+
                    "\\uFE03 > ;"+
                    "\\uFE04 > ;"+
                    "\\uFE05 > ;"+
                    "\\uFE06 > ;"+
                    "\\uFE07 > ;"+
                    "\\uFE08 > ;"+
                    "\\uFE09 > ;"+
                    "\\uFE0A > ;"+
                    "\\uFE0B > ;"+
                    "\\uFE0C > ;"+
                    "\\uFE0D > ;"+
                    "\\uFE0E > ;"+
                    "\\uFE0F > ;"+
                    "\\uFEFF > ;"
                },
                {
                    "ProhibitedSet",
                    "[\\u00A0 \\u1680 \\u2000 \\u2001 \\u2002 \\u2003 \\u2004 \\u2005" +
                    " \\u2006 \\u2007 \\u2008 \\u2009 \\u200A \\u200B \\u202F \\u205F \\u3000" +
                    " \\u0080-\\u009F \\u06DD \\u070F \\u180E \\u200C \\u200D \\u2028 \\u2029" +
                    " \\u2060 \\u2061 \\u2062 \\u2063 \\u206A-\\u206F \\uFEFF \\uFFF9-\\uFFFC" +
                    " \\U0001D173-\\U0001D17A \\uE000-\\uF8FF \\U000F0000-\\U000FFFFD " +
                    "\\U00100000-\\U0010FFFD \\uFDD0-\\uFDEF \\uFFFE-\\uFFFF \\U0001FFF" +
                    "E-\\U0001FFFF \\U0002FFFE-\\U0002FFFF \\U0003FFFE-\\U0003FFFF \\U" +
                    "0004FFFE-\\U0004FFFF \\U0005FFFE-\\U0005FFFF \\U0006FFFE-\\U0006" +
                    "FFFF \\U0007FFFE-\\U0007FFFF \\U0008FFFE-\\U0008FFFF \\U0009FFFE" +
                    "-\\U0009FFFF \\U000AFFFE-\\U000AFFFF \\U000BFFFE-\\U000BFFFF \\U0" +
                    "00CFFFE-\\U000CFFFF \\U000DFFFE-\\U000DFFFF \\U000EFFFE-\\U000EF" +
                    "FFF \\U000FFFFE-\\U000FFFFF \\U0010FFFE-\\U0010FFFF \\uD800-\\uDFFF" +
                    " \\uFFF9 \\uFFFA \\uFFFB \\uFFFC \\uFFFD \\u2FF0-\\u2FFB \\u0340 \\u0341" +
                    " \\u200E \\u200F \\u202A \\u202B \\u202C \\u202D \\u202E \\u206A \\u206B" +
                    " \\u206C \\u206D \\u206E \\u206F \\U000E0001 \\U000E0020-\\U000E00" +
                    "7F ]",
                },
                {
                    "UnassignedSet",
                    "[ \\u0221 \\u0234-\\u024F \\u02AE-\\u02AF \\u02EF-\\u02FF \\u0350-\\u035F" +
                    " \\u0370-\\u0373 \\u0376-\\u0379 \\u037B-\\u037D \\u037F-\\u0383 \\u038B" +
                    " \\u038D \\u03A2 \\u03CF \\u03F7-\\u03FF \\u0487 \\u04CF \\u04F6-\\u04F7" +
                    " \\u04FA-\\u04FF \\u0510-\\u0530 \\u0557-\\u0558 \\u0560 \\u0588 \\u058B" +
                    "-\\u0590 \\u05A2 \\u05BA \\u05C5-\\u05CF \\u05EB-\\u05EF \\u05F5-\\u060B" +
                    " \\u060D-\\u061A \\u061C-\\u061E \\u0620 \\u063B-\\u063F \\u0656-\\u065F" +
                    " \\u06EE-\\u06EF \\u06FF \\u070E \\u072D-\\u072F \\u074B-\\u077F \\u07B2" +
                    "-\\u0900 \\u0904 \\u093A-\\u093B \\u094E-\\u094F \\u0955-\\u0957 \\u0971" +
                    "-\\u0980 \\u0984 \\u098D-\\u098E \\u0991-\\u0992 \\u09A9 \\u09B1 \\u09B3" +
                    "-\\u09B5 \\u09BA-\\u09BB \\u09BD \\u09C5-\\u09C6 \\u09C9-\\u09CA \\u09CE" +
                    "-\\u09D6 \\u09D8-\\u09DB \\u09DE \\u09E4-\\u09E5 \\u09FB-\\u0A01 \\u0A03" +
                    "-\\u0A04 \\u0A0B-\\u0A0E \\u0A11-\\u0A12 \\u0A29 \\u0A31 \\u0A34 \\u0A37" +
                    " \\u0A3A-\\u0A3B \\u0A3D \\u0A43-\\u0A46 \\u0A49-\\u0A4A \\u0A4E-\\u0A58" +
                    " \\u0A5D \\u0A5F-\\u0A65 \\u0A75-\\u0A80 \\u0A84 \\u0A8C \\u0A8E \\u0A92" +
                    " \\u0AA9 \\u0AB1 \\u0AB4 \\u0ABA-\\u0ABB \\u0AC6 \\u0ACA \\u0ACE-\\u0ACF" +
                    " \\u0AD1-\\u0ADF \\u0AE1-\\u0AE5 \\u0AF0-\\u0B00 \\u0B04 \\u0B0D-\\u0B0E" +
                    " \\u0B11-\\u0B12 \\u0B29 \\u0B31 \\u0B34-\\u0B35 \\u0B3A-\\u0B3B \\u0B44" +
                    "-\\u0B46 \\u0B49-\\u0B4A \\u0B4E-\\u0B55 \\u0B58-\\u0B5B \\u0B5E \\u0B62" +
                    "-\\u0B65 \\u0B71-\\u0B81 \\u0B84 \\u0B8B-\\u0B8D \\u0B91 \\u0B96-\\u0B98" +
                    " \\u0B9B \\u0B9D \\u0BA0-\\u0BA2 \\u0BA5-\\u0BA7 \\u0BAB-\\u0BAD \\u0BB6" +
                    " \\u0BBA-\\u0BBD \\u0BC3-\\u0BC5 \\u0BC9 \\u0BCE-\\u0BD6 \\u0BD8-\\u0BE6" +
                    " \\u0BF3-\\u0C00 \\u0C04 \\u0C0D \\u0C11 \\u0C29 \\u0C34 \\u0C3A-\\u0C3D" +
                    " \\u0C45 \\u0C49 \\u0C4E-\\u0C54 \\u0C57-\\u0C5F \\u0C62-\\u0C65 \\u0C70" +
                    "-\\u0C81 \\u0C84 \\u0C8D \\u0C91 \\u0CA9 \\u0CB4 \\u0CBA-\\u0CBD \\u0CC5" +
                    " \\u0CC9 \\u0CCE-\\u0CD4 \\u0CD7-\\u0CDD \\u0CDF \\u0CE2-\\u0CE5 \\u0CF0" +
                    "-\\u0D01 \\u0D04 \\u0D0D \\u0D11 \\u0D29 \\u0D3A-\\u0D3D \\u0D44-\\u0D45" +
                    " \\u0D49 \\u0D4E-\\u0D56 \\u0D58-\\u0D5F \\u0D62-\\u0D65 \\u0D70-\\u0D81" +
                    " \\u0D84 \\u0D97-\\u0D99 \\u0DB2 \\u0DBC \\u0DBE-\\u0DBF \\u0DC7-\\u0DC9" +
                    " \\u0DCB-\\u0DCE \\u0DD5 \\u0DD7 \\u0DE0-\\u0DF1 \\u0DF5-\\u0E00 \\u0E3B" +
                    "-\\u0E3E \\u0E5C-\\u0E80 \\u0E83 \\u0E85-\\u0E86 \\u0E89 \\u0E8B-\\u0E8C" +
                    " \\u0E8E-\\u0E93 \\u0E98 \\u0EA0 \\u0EA4 \\u0EA6 \\u0EA8-\\u0EA9 \\u0EAC" +
                    " \\u0EBA \\u0EBE-\\u0EBF \\u0EC5 \\u0EC7 \\u0ECE-\\u0ECF \\u0EDA-\\u0EDB" +
                    " \\u0EDE-\\u0EFF \\u0F48 \\u0F6B-\\u0F70 \\u0F8C-\\u0F8F \\u0F98 \\u0FBD" +
                    " \\u0FCD-\\u0FCE \\u0FD0-\\u0FFF \\u1022 \\u1028 \\u102B \\u1033-\\u1035" +
                    " \\u103A-\\u103F \\u105A-\\u109F \\u10C6-\\u10CF \\u10F9-\\u10FA \\u10FC" +
                    "-\\u10FF \\u115A-\\u115E \\u11A3-\\u11A7 \\u11FA-\\u11FF \\u1207 \\u1247" +
                    " \\u1249 \\u124E-\\u124F \\u1257 \\u1259 \\u125E-\\u125F \\u1287 \\u1289" +
                    " \\u128E-\\u128F \\u12AF \\u12B1 \\u12B6-\\u12B7 \\u12BF \\u12C1 \\u12C6" +
                    "-\\u12C7 \\u12CF \\u12D7 \\u12EF \\u130F \\u1311 \\u1316-\\u1317 \\u131F" +
                    " \\u1347 \\u135B-\\u1360 \\u137D-\\u139F \\u13F5-\\u1400 \\u1677-\\u167F" +
                    " \\u169D-\\u169F \\u16F1-\\u16FF \\u170D \\u1715-\\u171F \\u1737-\\u173F" +
                    " \\u1754-\\u175F \\u176D \\u1771 \\u1774-\\u177F \\u17DD-\\u17DF \\u17EA" +
                    "-\\u17FF \\u180F \\u181A-\\u181F \\u1878-\\u187F \\u18AA-\\u1DFF \\u1E9C" +
                    "-\\u1E9F \\u1EFA-\\u1EFF \\u1F16-\\u1F17 \\u1F1E-\\u1F1F \\u1F46-\\u1F47" +
                    " \\u1F4E-\\u1F4F \\u1F58 \\u1F5A \\u1F5C \\u1F5E \\u1F7E-\\u1F7F \\u1FB5" +
                    " \\u1FC5 \\u1FD4-\\u1FD5 \\u1FDC \\u1FF0-\\u1FF1 \\u1FF5 \\u1FFF \\u2053" +
                    "-\\u2056 \\u2058-\\u205E \\u2064-\\u2069 \\u2072-\\u2073 \\u208F-\\u209F" +
                    " \\u20B2-\\u20CF \\u20EB-\\u20FF \\u213B-\\u213C \\u214C-\\u2152 \\u2184" +
                    "-\\u218F \\u23CF-\\u23FF \\u2427-\\u243F \\u244B-\\u245F \\u24FF \\u2614" +
                    "-\\u2615 \\u2618 \\u267E-\\u267F \\u268A-\\u2700 \\u2705 \\u270A-\\u270B" +
                    " \\u2728 \\u274C \\u274E \\u2753-\\u2755 \\u2757 \\u275F-\\u2760 \\u2795" +
                    "-\\u2797 \\u27B0 \\u27BF-\\u27CF \\u27EC-\\u27EF \\u2B00-\\u2E7F \\u2E9A" +
                    " \\u2EF4-\\u2EFF \\u2FD6-\\u2FEF \\u2FFC-\\u2FFF \\u3040 \\u3097-\\u3098" +
                    " \\u3100-\\u3104 \\u312D-\\u3130 \\u318F \\u31B8-\\u31EF \\u321D-\\u321F" +
                    " \\u3244-\\u3250 \\u327C-\\u327E \\u32CC-\\u32CF \\u32FF \\u3377-\\u337A" +
                    " \\u33DE-\\u33DF \\u33FF \\u4DB6-\\u4DFF \\u9FA6-\\u9FFF \\uA48D-\\uA48F" +
                    " \\uA4C7-\\uABFF \\uD7A4-\\uD7FF \\uFA2E-\\uFA2F \\uFA6B-\\uFAFF \\uFB07" +
                    "-\\uFB12 \\uFB18-\\uFB1C \\uFB37 \\uFB3D \\uFB3F \\uFB42 \\uFB45 \\uFBB2" +
                    "-\\uFBD2 \\uFD40-\\uFD4F \\uFD90-\\uFD91 \\uFDC8-\\uFDCF \\uFDFD-\\uFDFF" +
                    " \\uFE10-\\uFE1F \\uFE24-\\uFE2F \\uFE47-\\uFE48 \\uFE53 \\uFE67 \\uFE6C" +
                    "-\\uFE6F \\uFE75 \\uFEFD-\\uFEFE \\uFF00 \\uFFBF-\\uFFC1 \\uFFC8-\\uFFC9" +
                    " \\uFFD0-\\uFFD1 \\uFFD8-\\uFFD9 \\uFFDD-\\uFFDF \\uFFE7 \\uFFEF-\\uFFF8" +
                    " \\U00010000-\\U000102FF \\U0001031F \\U00010324-\\U0001032F \\U0" +
                    "001034B-\\U000103FF \\U00010426-\\U00010427 \\U0001044E-\\U0001C" +
                    "FFF \\U0001D0F6-\\U0001D0FF \\U0001D127-\\U0001D129 \\U0001D1DE-" +
                    "\\U0001D3FF \\U0001D455 \\U0001D49D \\U0001D4A0-\\U0001D4A1 \\U00" +
                    "01D4A3-\\U0001D4A4 \\U0001D4A7-\\U0001D4A8 \\U0001D4AD \\U0001D4" +
                    "BA \\U0001D4BC \\U0001D4C1 \\U0001D4C4 \\U0001D506 \\U0001D50B-\\U" +
                    "0001D50C \\U0001D515 \\U0001D51D \\U0001D53A \\U0001D53F \\U0001" +
                    "D545 \\U0001D547-\\U0001D549 \\U0001D551 \\U0001D6A4-\\U0001D6A7" +
                    " \\U0001D7CA-\\U0001D7CD \\U0001D800-\\U0001FFFD \\U0002A6D7-\\U0" +
                    "002F7FF \\U0002FA1E-\\U0002FFFD \\U00030000-\\U0003FFFD \\U00040" +
                    "000-\\U0004FFFD \\U00050000-\\U0005FFFD \\U00060000-\\U0006FFFD " +
                    "\\U00070000-\\U0007FFFD \\U00080000-\\U0008FFFD \\U00090000-\\U00" +
                    "09FFFD \\U000A0000-\\U000AFFFD \\U000B0000-\\U000BFFFD \\U000C00" +
                    "00-\\U000CFFFD \\U000D0000-\\U000DFFFD \\U000E0000 \\U000E0002-\\U" +
                    "000E001F \\U000E0080-\\U000EFFFD ]",
                },
    };
}
