//---------------------------------------------------------
// Copyright (C) 2005, International Business Machines
// Corporation and others.  All Rights Reserved.
//---------------------------------------------------------

// >>> This data was generated by ZoneMetaCLDR
// >>> as a temporary measure for the 3.4 release.

package com.ibm.icu.impl;

public final class ZoneInfoExt {

    // table is sorted by canonical time zone id
    // aliases are not sorted

    // [0] canonical time zone id
    // [1] country code, or null if no country
    // [2] "T" if isSingle, null if not
    // [n...] aliases for canonical time zone id

    static final String[][] CLDR_INFO = {
        { "Africa/Abidjan", "CI", "T" },
        { "Africa/Accra", "GH", "T" },
        { "Africa/Addis_Ababa", "ET", "T", "EAT" },
        { "Africa/Algiers", "DZ", "T" },
        { "Africa/Asmera", "ER", "T" },
        { "Africa/Bamako", "ML", "T" },
        { "Africa/Bangui", "CF", "T" },
        { "Africa/Banjul", "GM", "T" },
        { "Africa/Bissau", "GW", "T" },
        { "Africa/Blantyre", "MW", "T" },
        { "Africa/Brazzaville", "CG", "T" },
        { "Africa/Bujumbura", "BI", "T" },
        { "Africa/Cairo", "EG", "T", "Egypt", "ART" },
        { "Africa/Casablanca", "MA", "T" },
        { "Africa/Ceuta", "ES", null },
        { "Africa/Conakry", "GN", "T" },
        { "Africa/Dakar", "SN", "T" },
        { "Africa/Dar_es_Salaam", "TZ", "T" },
        { "Africa/Djibouti", "DJ", "T" },
        { "Africa/Douala", "CM", "T" },
        { "Africa/El_Aaiun", "EH", "T" },
        { "Africa/Freetown", "SL", "T" },
        { "Africa/Gaborone", "BW", "T" },
        { "Africa/Harare", "ZW", "T", "CAT" },
        { "Africa/Johannesburg", "ZA", "T" },
        { "Africa/Kampala", "UG", "T" },
        { "Africa/Khartoum", "SD", "T" },
        { "Africa/Kigali", "RW", "T" },
        { "Africa/Kinshasa", "CD", null },
        { "Africa/Lagos", "NG", "T" },
        { "Africa/Libreville", "GA", "T" },
        { "Africa/Lome", "TG", "T" },
        { "Africa/Luanda", "AO", "T" },
        { "Africa/Lubumbashi", "CD", null },
        { "Africa/Lusaka", "ZM", "T" },
        { "Africa/Malabo", "GQ", "T" },
        { "Africa/Maputo", "MZ", "T" },
        { "Africa/Maseru", "LS", "T" },
        { "Africa/Mbabane", "SZ", "T" },
        { "Africa/Mogadishu", "SO", "T" },
        { "Africa/Monrovia", "LR", "T" },
        { "Africa/Nairobi", "KE", "T" },
        { "Africa/Ndjamena", "TD", "T" },
        { "Africa/Niamey", "NE", "T" },
        { "Africa/Nouakchott", "MR", "T" },
        { "Africa/Ouagadougou", "BF", "T" },
        { "Africa/Porto-Novo", "BJ", "T" },
        { "Africa/Sao_Tome", "ST", "T" },
        { "Africa/Timbuktu", "ML", null },
        { "Africa/Tripoli", "LY", "T", "Libya" },
        { "Africa/Tunis", "TN", "T" },
        { "Africa/Windhoek", "NA", "T" },
        { "America/Adak", "US", null, "America/Atka", "US/Aleutian" },
        { "America/Anchorage", "US", null, "SystemV/YST9YDT", "US/Alaska", "AST" },
        { "America/Anguilla", "AI", "T" },
        { "America/Antigua", "AG", "T" },
        { "America/Araguaina", "BR", null },
        { "America/Argentina/ComodRivadavia", "AR", null },
        { "America/Argentina/La_Rioja", "AR", null },
        { "America/Argentina/Rio_Gallegos", "AR", null },
        { "America/Argentina/San_Juan", "AR", null },
        { "America/Argentina/Tucuman", "AR", null },
        { "America/Argentina/Ushuaia", "AR", null },
        { "America/Aruba", "AW", "T" },
        { "America/Asuncion", "PY", "T" },
        { "America/Bahia", "BR", null },
        { "America/Barbados", "BB", "T" },
        { "America/Belem", "BR", null },
        { "America/Belize", "BZ", "T" },
        { "America/Boa_Vista", "BR", null },
        { "America/Bogota", "CO", "T" },
        { "America/Boise", "US", null },
        { "America/Buenos_Aires", "AR", null, "America/Argentina/Buenos_Aires", "AGT" },
        { "America/Cambridge_Bay", "CA", null },
        { "America/Campo_Grande", "BR", null },
        { "America/Cancun", "MX", null },
        { "America/Caracas", "VE", "T" },
        { "America/Catamarca", "AR", null, "America/Argentina/Catamarca" },
        { "America/Cayenne", "GF", "T" },
        { "America/Cayman", "KY", "T" },
        { "America/Chicago", "US", null, "CST6CDT", "SystemV/CST6CDT", "US/Central", "CST" },
        { "America/Chihuahua", "MX", null },
        { "America/Cordoba", "AR", null, "America/Argentina/Cordoba", "America/Rosario" },
        { "America/Costa_Rica", "CR", "T" },
        { "America/Cuiaba", "BR", null },
        { "America/Curacao", "AN", "T" },
        { "America/Danmarkshavn", "GL", null },
        { "America/Dawson", "CA", null },
        { "America/Dawson_Creek", "CA", null },
        { "America/Denver", "US", null, "MST7MDT", "SystemV/MST7MDT", "US/Mountain" },
        { "America/Detroit", "US", null, "US/Michigan" },
        { "America/Dominica", "DM", "T" },
        { "America/Edmonton", "CA", null, "Canada/Mountain" },
        { "America/Eirunepe", "BR", null },
        { "America/El_Salvador", "SV", "T" },
        { "America/Fortaleza", "BR", null },
        { "America/Glace_Bay", "CA", null },
        { "America/Godthab", "GL", "T" },
        { "America/Goose_Bay", "CA", null },
        { "America/Grand_Turk", "TC", "T" },
        { "America/Grenada", "GD", "T" },
        { "America/Guadeloupe", "GP", "T" },
        { "America/Guatemala", "GT", "T" },
        { "America/Guayaquil", "EC", "T" },
        { "America/Guyana", "GY", "T" },
        { "America/Halifax", "CA", null, "Canada/Atlantic", "SystemV/AST4ADT" },
        { "America/Havana", "CU", "T", "Cuba" },
        { "America/Hermosillo", "MX", null },
        { "America/Indiana/Knox", "US", null, "America/Knox_IN", "US/Indiana-Starke" },
        { "America/Indiana/Marengo", "US", null },
        { "America/Indiana/Vevay", "US", null },
        { "America/Indianapolis", "US", null, "America/Fort_Wayne", "America/Indiana/Indianapolis", "EST", "SystemV/EST5", "US/East-Indiana", "IET" },
        { "America/Inuvik", "CA", null },
        { "America/Iqaluit", "CA", null },
        { "America/Jamaica", "JM", "T", "Jamaica" },
        { "America/Jujuy", "AR", null, "America/Argentina/Jujuy" },
        { "America/Juneau", "US", null },
        { "America/Kentucky/Monticello", "US", null },
        { "America/La_Paz", "BO", "T" },
        { "America/Lima", "PE", "T" },
        { "America/Los_Angeles", "US", null, "PST8PDT", "SystemV/PST8PDT", "US/Pacific", "US/Pacific-New", "PST" },
        { "America/Louisville", "US", null, "America/Kentucky/Louisville" },
        { "America/Maceio", "BR", null },
        { "America/Managua", "NI", "T" },
        { "America/Manaus", "BR", null, "Brazil/West" },
        { "America/Martinique", "MQ", "T" },
        { "America/Mazatlan", "MX", null, "Mexico/BajaSur" },
        { "America/Mendoza", "AR", null, "America/Argentina/Mendoza" },
        { "America/Menominee", "US", null },
        { "America/Merida", "MX", null },
        { "America/Mexico_City", "MX", null, "Mexico/General" },
        { "America/Miquelon", "PM", "T" },
        { "America/Monterrey", "MX", null },
        { "America/Montevideo", "UY", "T" },
        { "America/Montreal", "CA", null },
        { "America/Montserrat", "MS", "T" },
        { "America/Nassau", "BS", "T" },
        { "America/New_York", "US", null, "EST5EDT", "SystemV/EST5EDT", "US/Eastern" },
        { "America/Nipigon", "CA", null },
        { "America/Nome", "US", null },
        { "America/Noronha", "BR", null, "Brazil/DeNoronha" },
        { "America/North_Dakota/Center", "US", null },
        { "America/Panama", "PA", "T" },
        { "America/Pangnirtung", "CA", null },
        { "America/Paramaribo", "SR", "T" },
        { "America/Phoenix", "US", null, "MST", "SystemV/MST7", "US/Arizona", "PNT" },
        { "America/Port-au-Prince", "HT", "T" },
        { "America/Port_of_Spain", "TT", "T" },
        { "America/Porto_Velho", "BR", null },
        { "America/Puerto_Rico", "PR", "T", "SystemV/AST4", "PRT" },
        { "America/Rainy_River", "CA", null },
        { "America/Rankin_Inlet", "CA", null },
        { "America/Recife", "BR", null },
        { "America/Regina", "CA", null, "Canada/East-Saskatchewan", "Canada/Saskatchewan", "SystemV/CST6" },
        { "America/Rio_Branco", "BR", null, "America/Porto_Acre", "Brazil/Acre" },
        { "America/Santiago", "CL", "T", "Chile/Continental" },
        { "America/Santo_Domingo", "DO", "T" },
        { "America/Sao_Paulo", "BR", null, "Brazil/East", "BET" },
        { "America/Scoresbysund", "GL", null },
        { "America/Shiprock", "US", null, "Navajo" },
        { "America/St_Johns", "CA", null, "Canada/Newfoundland", "CNT" },
        { "America/St_Kitts", "KN", "T" },
        { "America/St_Lucia", "LC", "T" },
        { "America/St_Thomas", "VI", "T", "America/Virgin" },
        { "America/St_Vincent", "VC", "T" },
        { "America/Swift_Current", "CA", null },
        { "America/Tegucigalpa", "HN", "T" },
        { "America/Thule", "GL", null },
        { "America/Thunder_Bay", "CA", null },
        { "America/Tijuana", "MX", null, "America/Ensenada", "Mexico/BajaNorte" },
        { "America/Toronto", "CA", null, "Canada/Eastern" },
        { "America/Tortola", "VG", "T" },
        { "America/Vancouver", "CA", null, "Canada/Pacific" },
        { "America/Whitehorse", "CA", null, "Canada/Yukon" },
        { "America/Winnipeg", "CA", null, "Canada/Central" },
        { "America/Yakutat", "US", null },
        { "America/Yellowknife", "CA", null },
        { "Antarctica/Casey", "AQ", null },
        { "Antarctica/Davis", "AQ", null },
        { "Antarctica/DumontDUrville", "AQ", null },
        { "Antarctica/Mawson", "AQ", null },
        { "Antarctica/McMurdo", "AQ", null },
        { "Antarctica/Palmer", "AQ", null },
        { "Antarctica/Rothera", "AQ", null },
        { "Antarctica/South_Pole", "AQ", null },
        { "Antarctica/Syowa", "AQ", null },
        { "Antarctica/Vostok", "AQ", null },
        { "Arctic/Longyearbyen", "SJ", null },
        { "Asia/Aden", "YE", "T" },
        { "Asia/Almaty", "KZ", null },
        { "Asia/Amman", "JO", "T" },
        { "Asia/Anadyr", "RU", null },
        { "Asia/Aqtau", "KZ", null },
        { "Asia/Aqtobe", "KZ", null },
        { "Asia/Ashgabat", "TM", "T", "Asia/Ashkhabad" },
        { "Asia/Baghdad", "IQ", "T" },
        { "Asia/Bahrain", "BH", "T" },
        { "Asia/Baku", "AZ", "T" },
        { "Asia/Bangkok", "TH", "T" },
        { "Asia/Beirut", "LB", "T" },
        { "Asia/Bishkek", "KG", "T" },
        { "Asia/Brunei", "BN", "T" },
        { "Asia/Calcutta", "IN", "T", "IST" },
        { "Asia/Choibalsan", "MN", null },
        { "Asia/Chongqing", "CN", null, "Asia/Chungking" },
        { "Asia/Colombo", "LK", "T" },
        { "Asia/Damascus", "SY", "T" },
        { "Asia/Dhaka", "BD", "T", "Asia/Dacca", "BST" },
        { "Asia/Dili", "TL", "T" },
        { "Asia/Dubai", "AE", "T" },
        { "Asia/Dushanbe", "TJ", "T" },
        { "Asia/Gaza", "PS", "T" },
        { "Asia/Harbin", "CN", null },
        { "Asia/Hong_Kong", "HK", "T", "Hongkong" },
        { "Asia/Hovd", "MN", null },
        { "Asia/Irkutsk", "RU", null },
        { "Asia/Jakarta", "ID", null },
        { "Asia/Jayapura", "ID", null },
        { "Asia/Jerusalem", "IL", "T", "Asia/Tel_Aviv", "Israel" },
        { "Asia/Kabul", "AF", "T" },
        { "Asia/Kamchatka", "RU", null },
        { "Asia/Karachi", "PK", "T", "PLT" },
        { "Asia/Kashgar", "CN", null },
        { "Asia/Katmandu", "NP", "T" },
        { "Asia/Krasnoyarsk", "RU", null },
        { "Asia/Kuala_Lumpur", "MY", "T" },
        { "Asia/Kuching", "MY", null },
        { "Asia/Kuwait", "KW", "T" },
        { "Asia/Macau", "MO", "T", "Asia/Macao" },
        { "Asia/Magadan", "RU", null },
        { "Asia/Makassar", "ID", null, "Asia/Ujung_Pandang" },
        { "Asia/Manila", "PH", "T" },
        { "Asia/Muscat", "OM", "T" },
        { "Asia/Nicosia", "CY", "T", "Europe/Nicosia" },
        { "Asia/Novosibirsk", "RU", null },
        { "Asia/Omsk", "RU", null },
        { "Asia/Oral", "KZ", null },
        { "Asia/Phnom_Penh", "KH", "T" },
        { "Asia/Pontianak", "ID", null },
        { "Asia/Pyongyang", "KP", "T" },
        { "Asia/Qatar", "QA", "T" },
        { "Asia/Qyzylorda", "KZ", null },
        { "Asia/Rangoon", "MM", "T" },
        { "Asia/Riyadh", "SA", "T" },
        { "Asia/Riyadh87", "SA", "T", "Mideast/Riyadh87" },
        { "Asia/Riyadh88", "SA", "T", "Mideast/Riyadh88" },
        { "Asia/Riyadh89", "SA", "T", "Mideast/Riyadh89" },
        { "Asia/Saigon", "VN", "T", "VST" },
        { "Asia/Sakhalin", "RU", null },
        { "Asia/Samarkand", "UZ", null },
        { "Asia/Seoul", "KR", "T", "ROK" },
        { "Asia/Shanghai", "CN", "T", "PRC", "CTT" },
        { "Asia/Singapore", "SG", "T", "Singapore" },
        { "Asia/Taipei", "TW", "T", "ROC" },
        { "Asia/Tashkent", "UZ", "T" },
        { "Asia/Tbilisi", "GE", "T" },
        { "Asia/Tehran", "IR", "T", "Iran" },
        { "Asia/Thimphu", "BT", "T", "Asia/Thimbu" },
        { "Asia/Tokyo", "JP", "T", "Japan", "JST" },
        { "Asia/Ulaanbaatar", "MN", null, "Asia/Ulan_Bator" },
        { "Asia/Urumqi", "CN", null },
        { "Asia/Vientiane", "LA", "T" },
        { "Asia/Vladivostok", "RU", null },
        { "Asia/Yakutsk", "RU", null },
        { "Asia/Yekaterinburg", "RU", null },
        { "Asia/Yerevan", "AM", "T", "NET" },
        { "Atlantic/Azores", "PT", null },
        { "Atlantic/Bermuda", "BM", "T" },
        { "Atlantic/Canary", "ES", null },
        { "Atlantic/Cape_Verde", "CV", "T" },
        { "Atlantic/Faeroe", "FO", "T" },
        { "Atlantic/Jan_Mayen", "SJ", null },
        { "Atlantic/Madeira", "PT", null },
        { "Atlantic/Reykjavik", "IS", "T", "Iceland" },
        { "Atlantic/South_Georgia", "GS", "T" },
        { "Atlantic/St_Helena", "SH", "T" },
        { "Atlantic/Stanley", "FK", "T" },
        { "Australia/Adelaide", "AU", null, "Australia/South" },
        { "Australia/Brisbane", "AU", null, "Australia/Queensland" },
        { "Australia/Broken_Hill", "AU", null, "Australia/Yancowinna" },
        { "Australia/Darwin", "AU", null, "Australia/North", "ACT" },
        { "Australia/Hobart", "AU", null, "Australia/Tasmania" },
        { "Australia/Lindeman", "AU", null },
        { "Australia/Lord_Howe", "AU", null, "Australia/LHI" },
        { "Australia/Melbourne", "AU", null, "Australia/Victoria" },
        { "Australia/Perth", "AU", null, "Australia/West" },
        { "Australia/Sydney", "AU", null, "Australia/ACT", "Australia/Canberra", "Australia/NSW", "AET" },
        { "Etc/GMT", null, null, "Etc/GMT+0", "Etc/GMT-0", "Etc/GMT0", "Etc/Greenwich", "Etc/UCT", "Etc/UTC", "Etc/Universal", "Etc/Zulu", "GMT", "GMT+0", "GMT-0", "GMT0", "Greenwich", "UCT", "UTC", "Universal", "Zulu" },
        { "Etc/GMT+1", null, null },
        { "Etc/GMT+10", null, null },
        { "Etc/GMT+11", null, null },
        { "Etc/GMT+12", null, null },
        { "Etc/GMT+2", null, null },
        { "Etc/GMT+3", null, null },
        { "Etc/GMT+4", null, null },
        { "Etc/GMT+5", null, null },
        { "Etc/GMT+6", null, null },
        { "Etc/GMT+7", null, null },
        { "Etc/GMT+8", null, null },
        { "Etc/GMT+9", null, null },
        { "Etc/GMT-1", null, null },
        { "Etc/GMT-10", null, null },
        { "Etc/GMT-11", null, null },
        { "Etc/GMT-12", null, null },
        { "Etc/GMT-13", null, null },
        { "Etc/GMT-14", null, null },
        { "Etc/GMT-2", null, null },
        { "Etc/GMT-3", null, null },
        { "Etc/GMT-4", null, null },
        { "Etc/GMT-5", null, null },
        { "Etc/GMT-6", null, null },
        { "Etc/GMT-7", null, null },
        { "Etc/GMT-8", null, null },
        { "Etc/GMT-9", null, null },
        { "Europe/Amsterdam", "NL", "T" },
        { "Europe/Andorra", "AD", "T" },
        { "Europe/Athens", "GR", "T" },
        { "Europe/Belfast", "GB", null },
        { "Europe/Belgrade", "CS", "T" },
        { "Europe/Berlin", "DE", "T" },
        { "Europe/Bratislava", "SK", "T" },
        { "Europe/Brussels", "BE", "T" },
        { "Europe/Bucharest", "RO", "T" },
        { "Europe/Budapest", "HU", "T" },
        { "Europe/Chisinau", "MD", "T", "Europe/Tiraspol" },
        { "Europe/Copenhagen", "DK", "T" },
        { "Europe/Dublin", "IE", "T", "Eire" },
        { "Europe/Gibraltar", "GI", "T" },
        { "Europe/Helsinki", "FI", "T" },
        { "Europe/Istanbul", "TR", "T", "Asia/Istanbul", "Turkey" },
        { "Europe/Kaliningrad", "RU", null },
        { "Europe/Kiev", "UA", null },
        { "Europe/Lisbon", "PT", "T", "Portugal" },
        { "Europe/Ljubljana", "SI", "T" },
        { "Europe/London", "GB", "T", "GB", "GB-Eire" },
        { "Europe/Luxembourg", "LU", "T" },
        { "Europe/Madrid", "ES", "T" },
        { "Europe/Malta", "MT", "T" },
        { "Europe/Mariehamn", "AX", "T" },
        { "Europe/Minsk", "BY", "T" },
        { "Europe/Monaco", "MC", "T" },
        { "Europe/Moscow", "RU", null, "W-SU" },
        { "Europe/Oslo", "NO", "T" },
        { "Europe/Paris", "FR", "T", "ECT" },
        { "Europe/Prague", "CZ", "T" },
        { "Europe/Riga", "LV", "T" },
        { "Europe/Rome", "IT", "T" },
        { "Europe/Samara", "RU", null },
        { "Europe/San_Marino", "SM", "T" },
        { "Europe/Sarajevo", "BA", "T" },
        { "Europe/Simferopol", "UA", null },
        { "Europe/Skopje", "MK", "T" },
        { "Europe/Sofia", "BG", "T" },
        { "Europe/Stockholm", "SE", "T" },
        { "Europe/Tallinn", "EE", "T" },
        { "Europe/Tirane", "AL", "T" },
        { "Europe/Uzhgorod", "UA", null },
        { "Europe/Vaduz", "LI", "T" },
        { "Europe/Vatican", "VA", "T" },
        { "Europe/Vienna", "AT", "T" },
        { "Europe/Vilnius", "LT", "T" },
        { "Europe/Warsaw", "PL", "T", "Poland" },
        { "Europe/Zagreb", "HR", "T" },
        { "Europe/Zaporozhye", "UA", null },
        { "Europe/Zurich", "CH", "T" },
        { "Indian/Antananarivo", "MG", "T" },
        { "Indian/Chagos", "IO", "T" },
        { "Indian/Christmas", "CX", "T" },
        { "Indian/Cocos", "CC", "T" },
        { "Indian/Comoro", "KM", "T" },
        { "Indian/Kerguelen", "TF", "T" },
        { "Indian/Mahe", "SC", "T" },
        { "Indian/Maldives", "MV", "T" },
        { "Indian/Mauritius", "MU", "T" },
        { "Indian/Mayotte", "YT", "T" },
        { "Indian/Reunion", "RE", "T" },
        { "Pacific/Apia", "WS", "T", "MIT" },
        { "Pacific/Auckland", "NZ", "T", "NZ", "NST" },
        { "Pacific/Chatham", "NZ", null, "NZ-CHAT" },
        { "Pacific/Easter", "CL", null, "Chile/EasterIsland" },
        { "Pacific/Efate", "VU", "T" },
        { "Pacific/Enderbury", "KI", null },
        { "Pacific/Fakaofo", "TK", "T" },
        { "Pacific/Fiji", "FJ", "T" },
        { "Pacific/Funafuti", "TV", "T" },
        { "Pacific/Galapagos", "EC", null },
        { "Pacific/Gambier", "PF", null, "SystemV/YST9" },
        { "Pacific/Guadalcanal", "SB", "T", "SST" },
        { "Pacific/Guam", "GU", "T" },
        { "Pacific/Honolulu", "US", null, "HST", "SystemV/HST10", "US/Hawaii" },
        { "Pacific/Johnston", "UM", null },
        { "Pacific/Kiritimati", "KI", null },
        { "Pacific/Kosrae", "FM", null },
        { "Pacific/Kwajalein", "MH", null, "Kwajalein" },
        { "Pacific/Majuro", "MH", null },
        { "Pacific/Marquesas", "PF", null },
        { "Pacific/Midway", "UM", null },
        { "Pacific/Nauru", "NR", "T" },
        { "Pacific/Niue", "NU", "T" },
        { "Pacific/Norfolk", "NF", "T" },
        { "Pacific/Noumea", "NC", "T" },
        { "Pacific/Pago_Pago", "AS", "T", "Pacific/Samoa", "US/Samoa" },
        { "Pacific/Palau", "PW", "T" },
        { "Pacific/Pitcairn", "PN", "T", "SystemV/PST8" },
        { "Pacific/Ponape", "FM", null },
        { "Pacific/Port_Moresby", "PG", "T" },
        { "Pacific/Rarotonga", "CK", "T" },
        { "Pacific/Saipan", "MP", "T" },
        { "Pacific/Tahiti", "PF", "T" },
        { "Pacific/Tarawa", "KI", null },
        { "Pacific/Tongatapu", "TO", "T" },
        { "Pacific/Truk", "FM", null },
        { "Pacific/Wake", "UM", null },
        { "Pacific/Wallis", "WF", "T" },
        { "Pacific/Yap", "FM", null },
    };
}
