/*
**********************************************************************
* Copyright (c) 2006, International Business Machines
* Corporation and others.  All Rights Reserved.
**********************************************************************
* Author: Alan Liu
* Created: April 20, 2004
* Since: ICU 3.0
**********************************************************************
*/
package com.ibm.icu.util;

/**
 * A unit such as length, mass, volume, currency, etc.  A unit is
 * coupled with a numeric amount to produce a Measure.
 *
 * @see com.ibm.icu.util.Measure
 * @author Alan Liu
 * @draft ICU 3.0
 * @provisional This API might change or be removed in a future release.
 */
public abstract class MeasureUnit {
    /**
     * @internal
     */
    protected MeasureUnit() {};
}
